Page 1

highlights

C

O

R

A

L

G

A

B

L

E

S

S

E

4 5 0 B i r d R o a d , C o r a l G a b l e s , F L 3 314 6

I

O

I s s u e 7,

STAFF WRITER

Avery Budin/highlights

features

-Natalie Crespo, junior class treasurer

Because of my multiple Treasurer positions [Catharsis and SOS], I developed a good friendship with Rick. I am very sad to know he’s gone.

-Gabe Sardinia, SOS and Catharsis treasurer Compiled by Orso Raymo and Avery Budin

G

H

A p r i l 2 013 , V o l . 5 3

Rachel Ellis/highlights

BIG UPS: Students awarded for various achievements. Above, National Honor Society members are officially inducted into the club on the evening of April 17. They are each given a candle, lit by the club’s current officers. Below (left), seniors attending four-year colleges in the fall celebrate with music and food on April 16. On April 18, the new board members of the International Baccalaureate Honor Society were inducted (bottom right).

>> IVY ENVY

Despite popular belief, big name schools are not always worth the hype Commentary by Anthony Concia STAFF WRITER

The quads and residential colleges lege determines the worth of their education. The history, of Ivy League Schools, with their Gothic reputation, and wealth of an institution do no more for stone façades and wrought-iron portals, someone’s education than fill in the space in their future job makes an appealing impression upon any résumés. What matters in the long run is how a student uses student searching for an elite education. their intellectual passion for the sake of learning, rather than High school students generally label Ivy boast which prestigious university taught them how to be a League schools (the athletic conference savvy opportunist. However, Ivy Leagues do an excellent job comprised of eight private universities) as univerpreparing aspiring doctors, lawyers, businessmen, with their sities of academic excellence and social elitism. specialized professors and elite graduate schools, but have But if one wishes to join this select few, a fewer resources for others. long road paved with hard work, a devotion of Don’t think that Ivy Leagues are the only colleges out resources, and bitter competivethere worth applying to: there is Students are made to think that ness awaits. The extremely low a vast selection of different colacceptance rates pressure stuleges that are worth considering. anyone not enrolled in an Ivy dents to look godlike on paper, The type of educational route League school is below them scrambling them to compete for you are willing to take is an and that they are entitled to a the spot at the top of the ladder. important factor for determining better education all because However, are you willing to sell your your future. their SAT scores are higher. intelligence to these “elite” institutions Will the graduate of an Ivy that determine your value based on nuLeague college be prepared merical rankings such as SAT, GPA, and for the school-to-work transiGRE? Are you expecting professors to give you guidance tion that is so critical in today’s competitive job market? A and a sense of direction in life rather than remind you that Cooperation education grants students with academic credit you are better than everyone else? These are the flaws among for practical work experience. Examples of co-op schools are getting an elite education: students are made to think that Northeastern University and Georgia Institute of Technolanyone not enrolled in an Ivy League school is below them ogy, both excellent schools that provide a structured job and that they are entitled to a better education all because experience. Another alternative to an elite education would their SAT scores are higher. be bang-for-your-buck state schools, which provide a student A former Dartmouth admissions officer told Business Inwith the opportunity to pursue academic interests without the sider that most of the students come from “the top quartile of burden of being forever in debt to college loans. And if your the income spectrum”, further suggesting that similar schools interests lie outside these professions, then consider taking cater to and treat students like the most affluent. up a liberal arts college: at such institutions, there is more How a student chooses to spend his or her time in colfreedom to be passionate about your ideas.

opinion

I

Inductees & college bound seniors awarded

By Avery Budin

For my past two years as Treasurer, I went to see Rick almost every other day. He was always there to help with whatever I needed and was extremeley patient.

H

>> HONORED CAVALIERS

Rick Gonzalez

After 15 years of dedication to the public school system, Treasurer Rick Gonzalez passed away from chronic illness at age 62. His memory is being celebrated by the colleagues he has worked with for years and the many friends he has made during his career. Gonzalez played a significant role both on and off the clock, impacting the lives of both his co-workers and students. He worked with students on a daily basis getting financial obligations taken care of, organizing and managing academy budgets, and monitoring fundraising events. “He was a loving, hardworking member of the Gables community,” said Principal Adolfo Costa. His contribution to the school was significant, ranging from managing the school’s finances to being committed to after-school events. As a long time employee at the school, Gonzalez became involved in a variety of activities including senior field trips and sporting events. Starting only part time in March of 1998 as a security guard, Gonzalez soon became a full time employee later that year in September. It was not until 2009 that he became the school’s treasurer. “He was my friend. He started out as a security guard and worked his way up to a position worthy of a lot of trust; I trusted him wholeheartedly and he never took that for granted. I’m going to miss him,” said Activities Director Ana Suarez. While unbeknownst to many students, Gonzalez did establish connections with several club treasurers and publication members in charge of financial work. For students in constant contact with him, the loss was just as painful as it was to the faculty. “As junior class president I had to work a lot with Rick to get checks and turn in money we collected. Rick was really a great person. He was subtly kind and willing to help whenever I needed it,” said junior Cole Scanlon. While Gonzalez requested that no formal funeral services take place in his honor, the students and faculty of the school are mourning this loss to the Cavalier family.

R

Rachel English/highlights

Courtesy of Cavaleon

IN MEMORY

N


preview

highlights

the scene

news opinion

As the testing APocalypse is near, highlights helps you prepare for doom

APRIL 25 MAY 2 10 31 JUNE 6

GABLETTE REVUE, AUDITORIUM, 6:30 P.M.

FIRST DAY OF INTERNATIONAL BACCALAUREATE TESTING FIRST DAY OF ADVANCED PLACEMENT TESTING GRADUATION, BANK ATLANTIC CENTER, 9 A.M.

LAST DAY OF SCHOOL FOR 9TH, 10TH, 11TH GRADES

Missed issues of highlights this year?

Check out our online portfolio at www.issuu.com/gableshighights

Coconut Grove skatepark town down

P. 19

highlights reviews the coolest (literally) new ice cream trend

a letter FROM THE EDITOR

These twenty pages of fact, frivol and fun represent my twenty-eighth and final issue of highlights. As a fourth-year staff member and a second-year Editor in Chief, I’ve had my fair share of production night meltdowns, euphoric distribution mornings, and stress-filled afternoons in the F237 newsroom. I’ve learned to lead, manage, write, and create, but highlights, though it may not seem so at times, has taught me to not take myself too seriously. Above all the knockdown, drag-out fights, the never-ending brainstorming dilemma, and the constant resentment of AP Style errors, what I’ve shared most often with the highlights staff and will miss the most are laughs – accompanied, of course, by the sounds and tunes of DJ Aj Ziv. I will miss the talented seniors who gave highlights character: Deanna and Audrey routinely gave the staff heart failure by producing unbelievable Insight layouts just before deadline. Gene kept Sports consistent with the help of Lukas’ Photoshop talents, and Casey claimed his corner in the room (back left, if you’re wondering) from which he spewed wisecracks and the occasional copy edit. Andy cured any and all headaches with a flash of his biceps and a last-minute Features story, Mariana cheered stressed editors on, and Christina reported dependably at Brooke’s behest. I wish all of you luck in college and I am incredibly thankful for everything you’ve done for our publication. We call ourselves All-Florida because of you! To our underclassmen editors, thank you for dedicating so much time to the paper. I have the utmost faith in you all – next year will be great, as hard as it is for me to leave you. Brooke, thank you for taking over News and completely kicking butt – I knew you would step up to the editor plate when you had to. Remy, good job on a second year of Features! You are a consistent editor and have kept the section interesting. Maggie, the Scene ain’t never been fresher, girl. Your creativity is inspiring! Keep it up. Orso, nice haircut. And finally, Nico – it’s all in your hands now, kid. You already know how confident I am that you will be an outstanding Editor in Chief. Stick to that killer wit and that collected demeanor. Nieves, thank you for your constant support (and tolerance of my mania). To the rest of the staff, you are all awesome. Thanks for your dedication, and keep it up next year. I’ll miss you all. It’s been real, highlights. It’s been real.

ALI STACK

EDITOR-IN-CHIEF

Rachel English/highlights

P. 6

upcoming events

P. 4

2 Raquel Braun/highlights

Thalia Herrera/contributor

April 2013


news School faculty changes:

highlights April 2013

3

Science teacher swap IB Counselor to leave By Jordan Payne STAFF WRITER

On April 1, science department chair and chemistry teacher Iliana Gonzalez discontinued her teaching at the school to work as a consultant and trainer for Casio Calculators. The administration was notified of Gonzalez’s plans to leave in late February, and immediately began to interview science teachers, but many did not possess the certifications required to fill the position (certifications must be renewed every five years). After this search, the administration decided to reach out to David Lawrence, the new chemistry teacher. As of now, Lawrence has a full schedule of eight classes. These classes include science research, pre-International Baccalaureate (IB) Honors Chemistry, Chemistry II Honors, and IB Chemistry. Lawrence was in the classroom a few days before Gonzalez left in order to familiarize himself with the students and see how Gonzalez ran the classes. For the time being, Lawrence is acting as a volunteer until he can properly enter the school system. Instead of having one department chair,

the whole science department is currently working together. Assistant Principal Jean Baril is assisting as well. Lawrence played football at the school and graduated in 1962. He went to college at Florida State University and was inducted into the Florida State Coaches Hall of Fame. Lawrence received a National Science Foundation Grant and went to the University of Oklahoma every summer for four summers. There, he received a masters in chemistry and another degree in biology. He taught at Gables for 18 years as a chemistry and biology teacher and then at Gulliver Preparatory for 16 years. At both schools, he coached football as an offensive line and special teams coach. “I have enjoyed my years at Coral Gables High School—teaching, coaching, learning— it’s been a great ride for me,” said Lawrence. An award at Gables is named after him. “We’re sorry to see Ms. Gonzalez leave, but we’re excited to have Mr. Lawrence back and we’re thrilled that we were able to find a replacement with the experience and knowledge that he has,” said Assistant Principal Nestor Diaz. The administration will continue to look for a permanent replacement for upcoming years.

By Rachel Ellis

at Columbus do not need, as well as an enriching cultural field trip that is held every quarter, along with three organized college trips a year. Cuesta aims to build this in International Baccalaureate counselor house program and make it highly recognized and co-coordinator Sylvie Cuesta will be by colleges across the nation. leaving the school due to a job opportunity at “It’s going to be what I love to do Christopher Columbus High School. Cuesta [helping students succeed] with a smaller has been working at Gables for ten years and amount of students involved, as well as will resign at the end of this school year. Throughout her time at the school, Cuesta a better salary with more benefits,” said Cuesta. has helped to Cuesta will raise thousands It’s going to be what I love to do be replaced by of dollars for [helping students succeed] with a Giselle Guia, underprivileged smaller amount of students. who will be schools through taking on the the annual Sylvie Cuesta, counseling Bridge 4 Peace IB Co-Coordinator position Walkathon starting next organized by school year. the IB program. Guia will have the rest of this year to learn She also increased the number of Group Six electives in the school’s IB program and added about the IB program and to attend training sessions. another foreign language, Chinese. “Over the last three years that we have At Columbus, Cuesta will work with The worked together, we have developed a great Mas scholars program, which is specifically balance; working with a new person is designed for the top 10 percent of each always a great opportunity, but it is still going graduating class. The accelerated program to be an adjustment,” said IB Co-Coordinator requires an entrance exam and has additional Diana Van Wyk. graduation requirements that other students STAFF WRITER

‘‘

Student artist paints murals on school walls By Avery Budin

‘‘

NASA astronaut who served on the early Columbia shuttle mission, and Winston Scott, also a NASA astronaut who took part in two shuttle missions. The murals will not only depict these figures, but also other notable

PROM

Avery Budin/highlights

As students pass by and take a gander at the mural that leaves behind the legacy of these great Starting in February, junior Gables graduates, they can view James Burke began painting the them as inspiration. Possibly a large mural located on the wall member of our generation will be of the courtyard in front of the placed on the walls in the short 700 hallway. He aims years to come. This [the mural] is a good way to to complete it around The project, which summer time. goes by the name of relate to students on how to be Four figures are “Cavaliers Through the successful and to encourage them depicted, three of which Years,” is one of many to do so. were former students of projects the school is James Burke, the school. The fourth starting and supporting to junior figure is the well known beautify its aging, though Cavalier man, though history filled, campus. the blonde hair and blue Make sure to eyes add a pleasant artistic twist alumni from Gables that will be comment on and thank Burke when compared to the standard jet added on throughout the rest of the for his progressing artwork at black hair and brown eyed Cavalier school year and during summer. the school that not only adds man. The other three figures are “This [the mural] is a good way to the rising beautification of Mike Lowell, now a major league to relate to students on how to be school grounds, but also gives an baseball player for the Boston successful and to encourage them to honorable ode to these admirable Red Sox, William B. Lenoir, a do so,” said Burke. people of the school’s past. STAFF WRITER

YOUNG PICASSO: Junior James Burke works on the mural at school. Burke finished sketching the mural and hopes to be finished painting it by summer.

CAV ROYALTY

DANCING DUO

THE FAIREST OF THEM ALL: Crowned seniors Roberto Alfonso and Yanelys Duarte take their place in Gables royalty as they were named prom king and queen.

Courtesy of Fox-Mar

Courtesy of Fox-Mar

Courtesy of Fox-Mar ONE LAST DANCE: Senior Santiago Saavedra and junior Kimberly Pererra share their last dance of the school year with each other and the whole Cav family.

GET JIGGY

MAKING MEMORIES: Students danced and made prom night on to remember for decades to come. For seniors, prom was their last night to make high school memories.


news

highlights April 2013

Coconut Grove Skate Park knocked down

4

One of Miami’s only skate parks has been torn down to make room for new soccer fields. The renovations, funded by the city of Coconut Grove, have no definite date of completion.

By Raquel Braun STAFF WRITER

Raquel Braun/highlights

The Coconut Grove Skate Park, beloved by local skateboarders, has recently been torn down to make way for new soccer fields. The fields will replace the skate park as well as the grass area surrounding it. The playground remains as of now, but it is unknown whether or not it will be torn down. According to former park owner Gregg Hinds, the city tore down the skate park because “they had the money.” Construction started a few weeks ago, but the estimated time of completion is unknown. According to Hinds, “it’s all about the business,” and the city of Coconut Grove possesses the funds and power to replace the skate park with soccer fields for local recreation or travel teams. Located centrally in Coconut Grove, the skate park was convenient for local skate boarders. The skate park was home to many boarders and bikers as well as the site of a skate boarding summer camp.

The Coconut Grove Skate Park is located next to Peacock Park at 2820 McFarland Road. It is directly next to Coco Walk, the outdoor mall in Coconut Grove. Local skateboarders, now at a loss for a skate park, find themselves in need of a new venue to continue skate boarding. “It’s a bad thing for me because it was the only skate park close to me and it was the only one I had ever been to,” said sophomore Jeronimo Martinez. Skateboarders like Martinez now find themselves looking for new skate parks, which are far and few in Miami. The Coconut Grove area appeals to a younger demographic, but with the new soccer fields, more children will be inhabiting the area, whereas young adults may be forced to find a new hangout. “There were kids of all ages [at the skate park], so it wasn’t just limited to a few people. Now younger kids or people who just want to pick up a new skill don’t have a place to practice,” said sophomore Adrian Suarez.

A 180: Once local skate park, beloved by skate boarders from across the city, has been torn down to make room for new soccer fields, the construction for which has been paid for by the city of Coconut Grove.

Beginning this summer, Advanced Placement (AP) exam scores will be available online. Online score reports will be released in July of the year the exam is taken. They will be available to the student who took the exam, to the colleges designated on the registration answer sheet, and to the student’s high school. The online accessibility of scores will allow AP students, parents and teachers to access scores without having to wait for them by mail. “The online availability is new, so there will be some growing pains. Any website that big will have problems, but it’s fast and responsive,” said the school’s AP Coordinator and Testing Chair Lazaro Hernandez. The scores will be available at www.collegeboard.org/ apstudents

Freshmen landscapers

By Christina Parodi STAFF WRITER

On April 16, the Florida Senate unanimously passed a new bill banning texting while driving. Senate Bill 52 (SB 52) applies to those who text while operating a vehicle while in motion. This means that technically it is legal for someone to text while in a vehicle as long as it stationary; for example at stop lights and stop signs. Starting Oct. 1, 2013 SB 52 violators will be punished by law with a noncriminal traffic

Students

SPEAK UP

By Avery Budin STAFF WRITER

Another aesthetically pleasing addition to the school is underway: a landscape project directed by the class of 2016. The project is still in the planning phase under the sponsorship of Lauren Noval and will be executed over the next four years. The desired location for the project will be somewhere between the 500 and 600 hallways in the open courtyards. “We seek to not just make it [the school] aesthetically pleasing, but also to leave a legacy to be remembered by and to give back to Gables,” said freshman Vice President Kevin Torgas. Studying, a possible lunch eating area and just a place to get some sunshine or escape from the cold classrooms will be greatly sought after in these areas once this landscaping project takes off.

Culinary raises $3,250 By Jordan Payne STAFF WRITER

On March 18, culinary students raised $3,250 at the school’s third annual Culinary Arts Gala Night. Fifty people were in attendance, including members of the Coral Gables Chamber of Commerce, and each ticket cost $65. At the end of the night, the culinary arts program was promised a $10,000 check for culinary scholarships, courtesy of Coral Gables Community Foundation Inc. The event was sponsored by Baptist Health South Florida and The Dome restaurant on Miracle Mile. Culinary Arts students who participated were mostly seniors, as well as three juniors. These students are in cooking Level 4 and 5. They prepared ceviche, a fresh salad with greens from the school’s garden, chicken roulade, and Dome’s “Chocolate Delight.” The money raised will go towards supplies, materials, and cooking competition fees for the Culinary Arts Program. Culinary teacher Mercy Vera hopes to host the event at a different venue each year.

infraction that will be considered a moving violation. So to speak, beginning Oct. 1, texting while driving, if caught, will result in a $30 fine according to Florida Statue 318.18 (2). If caught again within five years, the ticket raises in price and in infraction level, becoming a moving violation. In a survey taken by AT&T, 97 percent of teenagers believed that texting while driving is dangerous and 43 percent admitted to doing it. At the beginning of this year, Florida was one of five states that still had not taken legal measures against texting while driving and will finally join the 45 other states.

ts ligh

STAFF WRITER

h hig s/ atu

By Mia Tolpin

ban texting while driving

rg Geo

AP scores go virtual

Lukas

NEWS Florida to BRIEFS

“It’s common sense that texting while driving isn’t very safe. Skill has nothing to do with it,” -Sebastian Gazzolo, senior

“Even though I don’t support texting and driving, a lot of people are guilty of doing it, even my mom,” -Samantha Lanbert, junior Compiled by Christina Parodi

Boston bombing unfolds By Cyrus Zeledon STAFF WRITER

BOSTON – On April 15, a horrendous act of terror turned what seemed to have been a normal marathon in Boston into disaster within mere seconds of the finish of the event. The event, the Boston Marathon, which is held annually, was abruptly interrupted by two bombs which went off within 12 seconds of each other, injuring more than 170 runners and spectators. Of the runners and spectators injured, 17 are in critical condition and 25 are in serious condition. The death count as of April 22 is three, an eight-year-old boy spectator, a 29-year-old woman who was participating in the marathon, and a graduate student from Boston University. Official reports state that the bombs were made of pressure cookers

which contained bearings and shrapnel. The bombs were placed in two separate backpacks and set in two different locations near the finish of the Boston Marathon. “I wish the information coming from the crime scene would have been

who committed the heinous crime is, the Federal Bureau of Investigation confirmed on April 17 that there were two suspects after multiple videos of the bombing surfaced shortly after the incident. The suspects, brothers Tamerlan and Dzhokhar Tsarnaev, were found in Watertown, Mass. late As terrible as what happened, I’m April 18. Police had a long not going to let some guy stop me standoff with the two suspects from going to MIT next year. If I until one of the suspects was do, then he wins. shot, Tamerlan, while the other, Eric Ponce, Dzhokhar, fled the scene. On April 19, after a day long senior man-hunt, Dzhokhar was found in severe condition hiding in a updated a lot more frequently and for boat and then taken into custody and it to have been less vague. As terrible brought to a hospital. as what happened, I’m not going to A third incident involving a fire, let some guy stop me from going to and possible explosion, occurred on Massachusetts Institute of Technology the same day as the bombing at John next year, if I do then he wins,” said Fitzgerald Kennedy Library and is senior Eric Ponce. still being investigated on whether it Although there had been different has any ties with the Boston Marathon speculations as to who the suspect bombing.

‘‘


highlights April 2013

School’s physics program expands

5

Science department receives STEM Grant for AP classes, new HL IB class to be available next year

By Cyrus Zeledon STAFF WRITER

The school’s science department is now offering Higher Level (HL) Physics and has received a grant from the Advanced Placement (AP) science, technology, engineering, mathematics (STEM) Program for the AP Physics C: Mechanics and AP Physics C: Electricity and Magnetism courses. The AP community in conjunction with Google gives out the grant to schools with the goal of increasing the participation of underrepresented minority students in AP STEM classes. Google has contributed $5 million to the program for public schools in the nation. The school received a total of $12,200 from the AP STEM Access program for its physics classes. “[The AP STEM Access program] brings more prestige to our school. We are now in an elite group of schools that AP is promoting. What we hope is to create an environment that when a university sees a Gables student they say, ‘Hey

maybe we should look at this person’,” said physics teacher Orestes Mayo. According to Mayo, the money will help expand the physics program and make it “more complete.” The money will be spent on lab equipment, textbooks, and the physics courses and will also help open two new classes, one AP Physics C: Electricity and Magnetism class and one AP Physics C: Mechanics classes. Currently there is only one AP Physics C: Mechanics class offered at the school. Mayo will teach both of these classes next year. HL Physics, a component of the IB program previously unavailable at the school, will be divided into two years, year one and year two. Both years incorporate AP Physics C into the curriculum. Year one consists of AP Physics C: Mechanics, while year two covers AP Physics C: Electricity and Magnetism and other topics that needs to be covered for the HL exam. Currently, there are a total of 28 students enrolled for both years. According to Mayo, the pre-requisite of year one HL Physics is a strong love for math and physics and to be taking Calculus at the same time as taking the

class. Year two requires the student to have taken Calculus already. “I think that the incorporation of HL Physics is great. It has been something that students have wanted for years. Personally, I am excited to take the class, however, I am a bit nervous,” said junior Michael Hammond. The STEM program’s grant will enable approximately 500 new AP math and science courses to start in select public schools across the nation. AP STEM also encourages minorities that demonstrate interest and academic potential to get involved with STEM areas of study that are not offered at their schools. The schools that are part of the program will be reviewed by the AP board on how well the students do on the AP exam. A few other schools in the district including School for Advanced Studies, Ronald Reagan, Mater Academy, Michael Krop, and New World School of Arts have received money from the program as well. For more information or questions regarding the new HL and AP Physics classes, speak to Mayo in room 206.

Jim Cason elected Benavides wins Race to second term as to the Top Fund Coral Gables Mayor By Mia Tolpin STAFF WRITER

By Francis Pérez STAFF WRITER

Courtesy of the University of Miaimi

After two years as mayor of Coral Gables, the incumbent Jim Cason was re-elected for another two year term on Tuesday, April 9, 2013, and was sworn in at a ceremony at noon on Friday April 12, 2013 at Coral Gables City Hall. Cason ran against Commissioner Ralph Cabrera, who has been serving on the Coral Gables Commission for 12 years. However, Cabrera can no longer be a part of the Commission due to term limits. During his campaign, Cason emphasized that he would try to help lower property taxes, reform the city’s pensions, and build the city’s reserves. He also said he would continue to push the Streetscape Renovation of Miracle Mile, which is Coral Gables’ commercial focal point. “In four years I want to see the finances of the city improved. We’ve done a lot, but there’s more we can do. I want to see the supertanker turning in the right direction and on a good course,” said Cason to the Miami Herald. Out of the 30,672 registered voters, only 7,101 residents showed up to vote in the elections, making that a 23 percent attendance. However, Cason won 71 percent

of the votes. Cason is a retired United States Foreign Service officer with more than 40 years of national and international public service experience. He was involved in Latin America as a leader of multi-agency embassy communities and is fluent in five languages. “Cabrera attended [Gables], and it would have been nice to have someone with local connections, however Mayor Cason did a good job last term and was very supportive of the school,” said English teacher Preston Scanlon.

WHATEVER YOUR STYLE, YOU WILL ALWAYS LOOK BETTER WITH A BEAUTIFUL SMILE Idalia Lastra, D.M.D. Orthodontics 305 856-7180 www.MiamiOrthodontics.com “Like” us on Facebook

The Race To The Top Fund (R2T) was awarded to English for Speakers of Other Languages (ESOL) teacher Julia Benavides. R2T provides competitive grants to encourage and reward states that are creating the conditions for education innovations. R2T award is granted to the top 58 teachers in the County. To receive the award, teachers must have the highest level of Florida Comprehensive Assessment Test scores for math and reading in the last three years. Although it may not directly benefit the school, it will benefit the teacher’s salary. R2T is a $4.35 billion United States Department of Education contest created to encourage innovation in state and local K-12 education centers. The R2T program provides

funding to a group of states to develop valid assessments, support and inform instruction, provide accurate information about what students can do, and measure achievements against standards. Those assessments are planned to take a critical role in educational systems. R2T initiative has dedicated over $4 billion to 19 states that have created plans that address the four key areas of K-12 education reform. The four key areas of reform include: the development of rigorous standards and better assessments; the adoption of better data systems to provide schools, teachers, and parents with information about student progress; support for teachers and school leaders to become more effective; and finally an increased emphasis and resources for the rigorous interventions needed to turn around the lowest-performing schools. “I actually teach. I follow the curriculum. I just teach the kids,” said Benavides.

www.whiskgourmet.com

7382 SW 56th Avenue South Miami, Fl 33143

O: 786-268-8350 F: 786-268-8347

What Better Gift To Give Than Some Misha’s Cupcakes!

*Coupon must be presented at time of purchase *Students Only *Not Valid with any other coupons, not redeemable for cash, non transferable

Expires May 15th, 2013

NOT APPLICABLE TO SPECIAL ORDERS

Ted Sanchez 2515 S.W. 27th Avenue. Miami, Fl 33133 (305) 859-7979 www.silverbluffanimalclinic.com


opinion

highlights April 2013

6

Prepare for Judgment Day...

APocalypse Now Commentary by Nicolas Rivero OPINION EDITOR

Gables students, I hate to be the one to know enough to write something that sounds like biology on a break this to you, but the end is nigh. It has Free Response Question. recently dawned on me, as I’m sure it is Usually around the same time, all classroom activity stops. occurring to all of you, that our academic The sacred month of April is reserved for review. It is widely doomsday is approaching – that scholastic end accepted among AP teachers that if they try to teach anything of times we call the “Advanced Placement/ new during the fourth grading period, the angry testing gods International Baccalaureate (AP/IB) testing season.” For weeks will curse their students to get twos on all their exams, and now I have refused to believe it, hoping against hope that I their scores will prove that their lives up to that point have been could ignore it out of existence, but my efforts were all in vain. failures. By the CollegeBoard’s math, using only the first three Now the tests are only days away and my AP review books are quarters of the year for teaching (that’s 75 percent, for those of lost in some neglected corner of my room, as unopened today you taking IB Math Studies) means that schools are operating as they were when I bought them at 100 percent efficiency. off of a student who took the class You will know the end has On these days of judgment, those last year. finally begun on the morning when who have faithfully sacrificed their For most students, the first sign you see the first group of students nights and weekends to studying of the impending APocalypse is gathered around the gym wearing will be rewarded, while those who the creeping realization that they sweatpants and clutching review ignored their teachers’ warnings haven’t actually learned anything books. On these days of about the impending APocalypse all year long, followed by a frantic judgment, those who will be doomed. push to cram a year’s worth of have faithfully knowledge into their heads in sacrificed the month of April (especially their nights overachieving students won’t begin until May). The universal and weekends to studying will be consensus seems to be that reading is boring, so many students rewarded, while those who ignored turn to YouTube review videos, in which some eccentric AP their teachers’ warnings about the teacher pops a handful of caffeine pills and then squeezes all impending APocalypse will be the complex, college-level concepts you never bothered to learn doomed. Their dream schools will during the year into ten minutes at a pace usually reserved for immediately send them rejection rattling off possible side-effects at the end of drug commercials. letters; their boyfriends and This information then goes straight to AP students’ shortgirlfriends will dump them; their term memory, where it will stay until the instant the test is over. dogs will run away. It doesn’t matter how (At that moment, as the blare of the buzzer rebounds throughout well you know chemistry. If you don’t have a the silent gym at a decibel level that would startle a deaf person, passing score on that test, you don’t have anything. blind terror shoves every scrap of knowledge a students might (Interestingly, when the school wants its students to be have had about a subject clear out of their minds.) Remember, comfortable, focus, and do well academically, it relaxes its they’re not actually trying to learn this stuff; they only need to enforcement of the dress code and lets them wear what they

highlights ADVISORY BOARD:

EDITOR-IN-CHIEF

ADVISER

BUSINESS MANAGER

COPY EDITOR

Ali Stack

James Ziv

Melissa Nieves

Casey Breznick

SECTION EDITORS: NEWS

OPINION

FEATURES

INSIGHT

Brooke Donner Yaremy Fuentes

SPORTS

Gene Liu, Lukas Georgatos

Nicolas Rivero

Deanna Breiter, Audrey Fernandez

THE SCENE

Maggie Rivers

Staff Members: Laura Acosta, Eleonor Bauwens, Andrea Biondi, Raquel Braun, Avery Budin, Stephan Chamberlin, Anthony Concia, Rachel Ellis, Rachel English, Christina Parodi, Jordan Payne, Francis Pérez, Orso Raymo, Araceli Sanchez, Mia Tolpin, Cryus Zeledon Contributors: Thalia Herrera, Bailey Kling highlights is the official publication of Coral Gables Senior High, 450 Bird Rd.,Coral Gables, FL 33146. Call (305) 443-4871 ext. 2383, email melissanieves@ dadeschools.net for ad rates. highlights accepts all legal advertisements. If a mistake occurs, the ad will be reprinted, free of charge, in the following issue. Subscriptions are available for $15 annually. Opinions expressed on the editorial page do not necessarily reflect the viewpoints or official policies of the school. highlights is an open forum and welcomes readers’ opinions on all topics. Letters to the editor should not exceed 200 words and must be signed, but names may be withheld on request and with the concurrence of the editorial board. The editors reserve the right to reject, edit and condense letters. All letters should be turned in to the F237 mailbox. highlights strives to represent all groups fairly. Men and women of all races and nationalities will be represented with the same respect and dignity. This publication avoids racial identification except when it is essential to communication.

Press Affiliations: Columbia Scholastic Press Association, National Scholastic Press Association, NSPA Hall of Fame, Florida Scholastic Press Association, Quill and Scroll

want. The rest of the year, however, it does not. But I digress.) Remember students, there is nothing more fair than this day-of-judgment-style testing. Just keep in mind that if you mess up today, all the work you did for the entire year was for nothing. Good luck!

Co

tor

bu

i ntr

Failure to launch: the North Korea story Commentary by Nicolas Rivero OPINION EDITOR

You can’t help but feel bad for Kim Jong Un. He’s the unquestioned leader of 25 million malnourished and brainwashed people, rules with an iron fist over a tiny stretch of rural mountains, and appears to spend most of his day prank calling the White House, eating extra food rations, and trying to figure out South Korea’s Wi-Fi password so that he can connect his country to the internet. If I were in his position, I might be bored enough to start a nuclear war, too; and if I had inherited a brutal dictatorship from my father (but looked about as intimidating as the boy from the movie Up!) I might just need to threaten to nuke the world to get some respect. It’s no secret that North Koreans and Americans haven’t gotten along very well in the past. I guess the Koreans might still be a little upset that the United States invaded their country sixty years ago and never got around to officially making peace; or they might be mad because the U.S. led a global embargo against the country that effectively isolated it from the world and dropped the average annual North Korean income to $1800 (or, as you might know it, less money than you made working at Starbucks last summer). I guess some people just can’t let go of a grudge. So it’s no wonder that top North Korean military officials are threatening to turn Washington D.C. into a “sea of fire.” They want everyone to

know how much they hate America, and no one in this country seems to care! This would explain Pyongyang’s latest warning, which reads “If #NorthKoreaIsScary isn’t trending on Twitter by tomorrow at noon, we will blow up everything you love.” In response, two American B-2 bombers flew by North Korea on a training mission to remind Kim Jong Un and his advisors what might happen to them if the United States military were to decide that they would look better if they were rearranged into smaller pieces of themselves. The Korean administration then amended its previous warning to read “We are willing to settle for Obama sharing a Kim Jong Un meme on Facebook. Just please pay attention to us.” Many speculate that all of North Korea’s bluster is just Kim Jong Un’s way of asserting himself in his new position of power and rallying popular support for his regime, but I have my own theory. I think North Korea is like the North Pole, and Kim Jong Un is like Santa Claus: the moment you stop believing in them, they lose all their power. So please, keep being afraid of them, because North Korea needs all the help it can get. This is all they have; if it weren’t for all the worldwide panic they are creating, North Korea would just be another failed communist state, like Cuba, except with more enriched uranium and less sunshine, music, and usable beaches. Update: after some quick googling, I’ve discovered that North Korea would not be entirely lost if it weren’t for its nuclear program. The state recently announced the discovery of an ancient “unicorn lair” near Pyongyang. Seriously. Look it up. The North Koreans have Lukas Gerogatos/highlights unicorns.


highlights April 2013

7

Saturday school is not actually mandatory, nor should it be

We have all heard (and promptly ignored) those afternoon announcements reminding all freshmen, sophomores, and juniors that they are to attend “mandatory” Saturday school to review for the FCAT. Most of us will not be fooled into sacrificing a chunk of our weekend at school, but the more unsettling issue is why the administration would feel comfortable using its “poetic licence” to make false announcements and fool anybody at all. There is no doubt that out-of-school review sessions can be helpful. The school tracks the scores of students who attend Saturday school and has found that the ones who do attend show marked improvement. As a result, the school’s test scores improve, students will be able to graduate, and they will not

I think that it should only be mandatory for those that need the help.

-Ryan Rahma, freshman

Editorial

sense to mandate that all juniors review for a test that most of them will not even sit for. There are, however, llth graders who need to retake the test, and many 9th and 10th graders who will be taking the test for the first time. Not all of them will pass. So it is perfectly admirable to have teachers come in after school and on the weekends to help prepare those students who run the risk of failing the test. But it is not okay for those in the business of public education to be dishonest with students, no matter what their goals are. And if you don’t think there is anything immoral about lying to students for their own good, then consider what this does for the student body’s trust in the administration. If we don’t have to take you seriously when you remind us daily of how absolutely, positively, utterly mandatory Saturday school is, why should we take you seriously when you try to get us to do anything else we don’t want to do (like, say, wear uniform and display our IDs)? Saturday school is a good thing for those students who need it, but the choice is and should be theirs to make.

Saturday school is complicated. School is from Monday to Friday. At the end of the day it’s bad.

-Marcos Balsera, sophomore

STAFF

be forced to take remedial classes; clearly, showing up is in their best interest. Many students do themselves a favor and choose to attend, but none of these reviews are by any means mandatory. Those who feel they can study on their own don’t have to come, and the rest, as teachers often say, “have the right to fail.” Unless they are being punished for something, the school cannot (and has never made any attempt to) force students to attend weekend review sessions. However, the administration has been motivated to make this less than truthful claim because they believe that those students who are preparing for the test and could really benefit from the review probably would not come unless (and let’s call it what it is) they were lied to. If the school wants to have a review session for those students who would like to prepare for the FCAT, then by all means it should. But there is no justification for lying to students and parents; for that matter, there isn’t any reason to make Saturday school mandatory across the board. There is no such thing as an 11th grade FCAT, so it doesn’t make much

It’s a massive inconvenience.

-Julien Feliciano, junior

Thoughts & Musings Staff writer Stephan Chamberlin offers his thoughts on...

Public School vs. ADD & ADHD Overdiagnosed Charter School Out of all of the issues you might hear about in the coming years, the silent transition from a public education to a private and charter education will not likely be one of them. Granted, there are some advocates - the whistle blowers who won’t stay silent while public schools slip away from them. But the truth of the matter is that no one really cares enough about the way kids are being educated to speak out on the subject. The teachers will stand up, as will the principals, and the administration; they will fight for the security of a non-privatized education. Some of the students might even stand up, say something, and protest. Sadly, no one else is really listening. The issue is buried under a mountain of worry, because ultimately, topics like immigration, gun violence, and the economy, controversial and important as they are, will never take a backseat to a topic like the public school system. The difference between a public school and a charter school is fairly easy to understand. A public school is one that receives money from the government, is run by the government, and is completely regulated by the government, down to the minutest detail. Charter schools, on the other hand, have only one striking resemblance. Charter schools are those that have established objectives, or positive educational goals whose progress can be quantitatively measured and demonstrated. The schools still receive governmental aid,

but the amount of oversight granted to the government is extremely limited. Charter schools are most often run by non-profit organizations, but more than one fourth of them are run by for-profit corporations. There is no law or rule stating that these types of entities can’t run publicly funded schools. The law only requires them to adhere to the administration of their charter. The problem here is that cuts in public education are leading to the closing down of public schools, or converting them into charter schools. When education is brought to students in schools designed to turn a profit, having a good quarterly report will always come before learning. Those in favor of charter school conversion might say that the government can still regulate education and curriculum as much as they feel the need to; but the fact is, because charter schools receive limited funding in exchange for greater flexibility, and the government, local or otherwise, will never be able to keep an eye on the curriculum of charter schools so long as they adhere to their charter. It’s not as dramatic as it sounds. Charter schools aren’t the devil, and they certainly won’t bring about the total corruption of the American education system. What they do is possibly even more troubling because it’s startlingly close to reality. Charter schools, the ones run by for-profit companies, will reduce the quality of education in exchange for a payout, which is something that should truly trouble us all.

With budget cuts through the roof, some kids aren’t getting recess. The time isn’t given so that they can run outside and play; letting kids get all their “ya-yas” out, whatever that means, just isn’t a priority to today’s public school system. What’s even worse is that because American children have trouble sitting still in class, eleven percent of them (including nearly one in every five boys, according to The New York Times) are being diagnosed with a disorder whose symptoms are perfectly normal features of childhood. My biggest concern here is the well being of the children. Let’s face it. Humans didn’t evolve sitting in a classroom with their hands folded. It isn’t the nature of pre-pubescent children to be courteous when asking a question. But most importantly, because a child doesn’t act the way you want him/her to, doesn’t mean that he/she can be “fixed” with drugs. The error, truly, lies in the culture of instant gratification and the concept that medicines can fill all your behavioral modification needs. I wonder what the first person that believed their child had ADD was thinking when they took him to the doctor, “Man, my five year old son is really hyper. I bet something is wrong with him - better fix him with some prescription meds!” What’s even more disturbing is that it probably wasn’t the parents who had the idea of medicating unruly children, which brings me to my next point. Everyone knows the golden rule right? “He who has the gold makes the rules.” The

same is true for convincing parents that their kids are psychologically unsound. Because their children refuse to pay attention for more than five minutes, and because the doctors have warned them that if their child begins to show signs of being hyperactive, not having a good attention span, or displaying any other signs of normal childhood, they should take them to the doctor immediately. Everything from the pamphlets designed to warn gullible parents about the dangers of hyperactivity, to the profits of selling the medications, goes to and from big pharmaceutical companies. Corporations would love for little Johnny to be misdiagnosed with ADHD so that they can keep peddling their expensive drugs. What’s even more sickening? Profits from the drugs go to convincing doctors to diagnose more children of these disorders that didn’t even exist 50 years ago. But in reality, there are real cases of ADHD and all of its subtypes. But the question still remains, “Is ADHD over diagnosed? Do medications do a good job of stopping ADHD? At what point can we draw the distinction between hyperactivity, and a hyperactivity disorder?” The truth of it is, ADHD diagnoses are handed out, ironically, like candy. Medication does not always hold the solution to a behavioral problem. And the reality is, there is no definite answer as to when something perfectly normal in children turns into a psychological disorder.


from the

As the year draws to a close, highlights staff members reflect on their time in high school and offer words of advice to inbound Cavalier sophomores, juniors and seniors about the days to come.

Junior year is coming

Commentary by Ali Stack EDITOR-IN-CHIEF

Senior year is everything your older sister made it out to be. It’s exhausting, exciting, and even excruciating, but it has most certainly been the highlight of my (seemingly unending) four-year stretch at Coral Gables Senior High. The college application process is, unfortunately, time consuming, and it will eat away at your naturally inflated (you are a senior, after all) ego. Senioritis is real – while your workload won’t let up, the amount you care about it will. But luckily, I struck a (mostly) happy balance between stress and ‘sick’ days, and am on course to graduate on time. Hopefully, a few words of advice can land you a spot on the Bank United stage, too. First Semester: This $&@% Counts Picture it: you’re strolling down the senior red carpet in your flimsy BK crown decked out in far too many rhinestones. Your backpack is probably barren and, just like on each first day of school, so is your brain. Unfortunately, reality will soon set in, and in case it doesn’t, let me spell it out for you: C-O-L-L-E-G-E. Applications aren’t as easy as forging NHS hours, kids (and you thought I didn’t know…). Colleges will scrutinize those first quarter grades and courses – if you don’t believe me, take it up with my mom. My point here is that you can’t slack off just yet. Create a Common App account, meditate and introspect, then buckle down and hammer out those good grades and essay drafts until winter break.

Seniors say

Instead of defaulting to video games and Facebook stalking in your newfound free time, browse the web for potential college options and scholarship opportunities. If family is your thing, consider schools close to home. If you can afford to move out of town, take the risk. Don’t stress over the impending mental, financial, and social burden applying and going to college will slam you with – just stay organized, be honest on your applications, and be realistic with yourself and your parents.

Second Semester: The Downward Spiral Come January, the fun will begin. If you’ve done your job during the first two quarters, you will have a frozen GPA that is high enough to graduate with. College decisions will start rolling in, and, speaking from experience, don’t sweat the rejections. College is college, frat parties are frat parties and any 18-year-old can seek out a good time on any campus. In other words, you’ll end up where you’re meant to be. As a counter to the stress of worrying about where you’ll be living, the spring months are prime Miamiexploring time. This city won’t be here forever (no, really. We’ll be under water by 2050, right Mr. Gore?) and you’ll soon leave it behind. Take the lighter homework load as a green light to hang out with friends more often. Get out to parts of the 305 you have yet to discover and eat as many croquetas as you can possibly stomach. Keep up your grades, but as senioritis overtakes you, don’t fend it off entirely (you probably won’t be able to, anyway). An extra B won’t matter at this stage in the game, although anything worse than one or two grade drops might affect your acceptances. That said, hold those sick day admits close to avoid a No Credit, and, although we all like to think so, seniors are not above the school’s rules (most of the time).

Get all your apps done at the beginning of the year. Get a job too. Everything’s really expensive.

Don’t skip activities. They’re really fun and those who don’t go regret it.

Commentary by Nicolas Rivero OPINION EDITOR

Current sophomores, you can bury your head in the sand all you want, but whether you like it or not, junior year is coming for you. So listen up: you know how everybody has that list of advice, warnings, and regrets that they wish someone would have told them about earlier? This is that list. Generally, junior year is when high school students suddenly remember that colleges exist, and then frantically begin trying to impress them. The trouble is, a lot of students have a fuzzy idea of what colleges are looking for and they waste a lot of effort doing things that don’t matter and end up neglecting the things that will help them in the long run.. If you want to pad your college application, the best thing you can do for yourself is be an interesting person. Read a book. Play a sport. Get an internship or a paying job. Become deeply involved in an ongoing service project you actually care about. Not only will these things help you hold a conversation with an interviewer or write a standout essay, they’re worthwhile things to do with your life. On the other hand, you won’t impress anybody no matter how many Xbox Live achievements you unlock. And speaking of wasted time: please, don’t tell your friends you can’t go out because you’re cramming for your SAT. Don’t sink your time and money into prep classes or thousand-page study guides. If you want to boost your score a few points, go to www.collegeboard.com and sign up for their SAT question of the day now; if you have a question, ask a senior (preferably one who knows what they’re talking about) for some tips. The SAT is a big test and you should prepare for it, but there’s no reason you should miss out on anything this year because of it. Besides, if you really wanted to impress colleges, you’d be studying for your math test. Your grade point average (GPA) shows how much effort you put into your education, which is something every school wants to see. But beware, your GPA may not be as impressive as you think it is: those As you’ve been getting in PE every year aren’t fooling anybody. Admissions officers will be looking for a healthy core GPA (based on your English, math, science, social studies, and foreign language classes). So if you’ve been slacking off, tighten up. This year is your last chance to make an impression. I had a busy schedule this year and I found out very quickly how hectic things can get if you don’t stay organized. Being ultra-involved in school and taking advanced classes is great, but not if it overwhelms you. You may have to suck it up and buy an agenda, or keep track of your homework on sticky notes, or tattoo your assignments to your skin like that amnesiac guy from the movie Memento. However you do it, stay organized; I promise you can get everything done with time to spare if you plan ahead. Speaking of staying organized, start keeping records of all your community service hours now; it’s great to do good, but it’s even better to get credit for it. Self-snap a few photos everywhere you volunteer as proof of all the difference you are making and fill out those community service forms as soon as you get home. If you wait too long to submit your hours, you’ll inevitably forget some. Most of all, just try to take it easy. You’re only going to be seventeen once; don’t let the year slip away without taking a moment to enjoy yourself.

8

Seniors, the fun awaits

>> Way Out

Words

April 2013

opinion

highlights

-Nelson Diaz

-Kim Berthier

Gables Weighs In

Out of 100 seniors polled...

57

78

percent of seniors say that these past four years have been the best of their lives

Compiled by Jordan Payne

percent of seniors would approach high school differently if they had the chance

Studying and Slacking Commentary by Maggie Rivers THE SCENE EDITOR

Sophomore year presents its usual bittersweet relief of no longer being at the bottom of the high school pyramid while still being an underclassman. Many people often say that sophomore year wasn’t difficult, and for the most part, it’s not, if you approach it the right way. However, sophomore year still presents its obstacles and I’m hoping the wisdom I impart here to you rising sophomores will help you have a successful year. First of all, nothing will benefit you better than perfecting those time management skills. Sure, I know you’ve heard it all before but during freshman year it was a lot easier to get away with starting all your homework late at night while still finishing at a reasonable time. Assuming you’re taking more challenging classes, it is best to get it all done when you can. Leaving it all to the last minute will end up with you hating yourself and losing precious sleep. Speaking of classes, sophomore year is a good time to start taking some more advanced courses, whether they are

honors or Advanced Placement (AP). Provided that our school offers a wide variety of these types of courses, it would reflect well on you to colleges that you take some of these courses. It is all about challenging yourself and exploiting your academic opportunities as best you can. Besides excelling in the classroom, it is also important that you become involved in activities and extracurriculars outside of the classroom. Colleges wants students that are not only smart and get good grades, but they also want engaged students that give back to their school and their community by helping out and working together with others. Starting out early in your high school career and sticking with some clubs and/or organizations, shows that you truly care for the cause. I know I might be mentioning college a lot, but do not freak out. For now, just do well in your classes and be involved. All the other college stuff truly comes into play in junior and senior years. Just make sure to take advantage of the free time sophomore year offers and enjoy the company of all the friends you made freshman year. Don’t stress out– you have plenty of time for that later.


insight

highlights April 2013

9

O

T

O

N U G H YO L N

N W VE

W D O L O E

Rachel English/highlights


insight

highlights April 2013

10

EQUATIONS OF ENDEARMENT

It’s well known that each generation liberalizes its views toward relationships, love, and most controversially, sex. These data prove just that - women are becoming more independent and seekers of casual relationships, love is less spur-of-the-moment and more of a developed feeling, and sex at younger ages is increasingly popular.

*Out of 100 students surveyed

IN A RELATIONSHIP

10 males surveyed

10 females surveyed

HAVE NOT INTRODUCED THEIR PARTNER TO THEIR FAMILIES

24%

WOULD RATHER BE SINGLE

of students believe in love at first sight

13-17

range of ages at which students become sexually active

75% 54%

of students have been in 1-2 relationships in high school

of students are currently in a relationship

Compiled by Deanna Breiter and Audrey Fernandez

HAVE BEEN IN A LONGDISTANCE RELATIONSHIP

BELIEVE IN MARRIAGE

GU

On wo


7

UYS:

n a scale of 1-10, how well ould you say you know your significant other? RELATIONSHIP LENGTHS

7%

33%

44%

1-5 months 6-12 months 17% 12+ months No relationship

highlights April 2013

11

“all guys are the same”. However, this assumption is perhaps the most false of generalizations. A common misconception about teenage relationships Perhaps the most arduous task known is that they are dominated by the monotony of school to man past, present and future is the itself, but having a girlfriend makes you realize that there is responsibility that comes with tending to life outside of high school. It means breaking the hustle and The Girlfriend. With this factoid in mind, bustle of everyday, school-centric life during the weekend why would any teenage guy and his wallet to rest your brain and unwind on the couch or at the movies. subject themselves to the strenuous, taxing It also means taking responsibility and learning to care for commitment of a relationship during high someone other than yourself, which is not easy but worth it school? The answer is simple: in the long-run. Being in this kind of the joys that come from a true relationship comes with learning from Having a girlfriend may relationship always outweigh the one another and ultimately gaining a seem ideal to escape from drawbacks. partner that oftentimes may remain the High school relationships have a only consistent part of your life. Also, the reality of everyday life, stigma of superficiality – they’re not but it is certainly not for the interacting with your girlfriend gives grounded in mutual love, respect, or you insight into how the opposite sex weak-hearted. trust. The role of the male is usually thinks, which is a valuable skill outside plagued by the “player” stereotype. of loving relationships is too. These ever-villainous players have Having a girlfriend may seem ideal tainted the majority of high school girls’ views on guys, as they to escape from the reality of everyday life, but it is certainly are infamous for their reputation for leading on or using girls. not for the weak-hearted. If you don’t like excessive nagging, To much dismay, the aren’t sharp on the art (or war) of compromise, or have little “good guys” are often patience for inexplicable behavior, then don’t expect to last wrongfully lumped more than a day. Needless to say, choosing to enter or pursue a with these villains relationship with someone you believe is worth it is something and lead girls to the you shouldn’t back down from if you really want to have the conclusion that classic high school relationship experience.

Commentary by Anthony Concia STAFF WRITER

‘‘

2 VIEWS

When it comes to high school relationships, guys and girls don’t always see eye to eye.

8

GIRLS: school is for hooking up,” said sophomore Danielle ValdesPages. To some “High school sweetheart” is, to say the girls, reason, rather least, an outdated concept. While some than emotion, steer teenage girls consider high school dating them free from high an opportunity to learn about yourself and school relationships. relationships, most believe that the high school years are simply not the right time for High school is about learning love. For reasons ranging from a desire to and preparing for college and avoid emotional roller coasters to a desire to focus on studying afterwards; and other activities, there is club a noticeable trend of girls You’re too young to act on your activities, sports, straying away from committed feelings, it’s not easy to move and volunteering also factor into the relationships. forward to a level of seriousness equation for future success. Grades, We girls are known for you may want, age has its athletic performance, and extracurricular being extremely emotional, restrictions. involvement shouldn’t suffer because and during the volatile, a boyfriend breaks up with you, cheats, hormonal years of ages 14-18 Alia Intriago, forgets your month anniversary, or sends it’s perhaps best not to add junior the relationship into any one of numerous another dimension of possible potholes. emotional instability. At 16 the “Unless you’ve been friends with your last thing on any girls mind should be falling in love. significant other for a while before the romantic relationship “You’re too young to act on your feelings, it’s not easy to it’s worthless. It is a cause of numerous problems as well as a move forward to a level of seriousness you may want, age has waste of time, money, and emotion on short-lived happiness,” its restrictions,” said junior Alia Intriago. said sophomore Abby Sorensen. Additionally, high school is a time for self-discovery. Whoever had it in their mind that girls’ only concern in high If we’re at a point in our lives when we don’t really know school was getting a boyfriend was completely wrong. Though ourselves, how are we expected to carry on a relationship with an important part of the experience, girls have far more on their someone who is also trying to figure themselves out too? The answer is one that shouldn’t be too surprising: we usually can’t. mind then getting the cute guy in math to notice them or having pillow fights in their pajamas. So whether for or against high Relationships unfortunately have a high failure rate during high school dating, almost everyone agrees that dating – no matter school, and girls do not need the emotive fallout. what age – is a life lesson, or several, depending on how you “When you start a relationship too young, it won’t last. get around. You’re young and immature, and you’re supposed to be. High

Commentary by Avery Budin STAFF WRITER

‘‘

On a scale of 1-10, how well would you say you know your significant other? RELATIONSHIP LENGTHS 25% 18%

4% 54% 1-5 months 6-12 months 12+ months No relationship


insight

SEX highlights April 2013

LET’S TALK ABOUT CONSUMMATION

COERCION

>>

“Is there pressure among peers to be sexually active?”

YES

“There’s always going to be pressure but the key is to ignore it and do your own thing.”

It is not uncommon for couples to feel pressure from others to have sex, but this decision is one up to the couple rather than the general public.

NO

Bryan Medina, junior

Commentary by Ali Stack EDITOR-IN-CHIEF

A modernized rendition of Romeo and Juliet would find the star-crossed lovers sitting in a freshman math classroom. Instead of calling to each other out of windows late at night, the couple’s declarations of adoration would be scribbled on the back of algebra notes, handwriting shaky at the thought of new love. But in our day, Romeo and Juliet would not have many societal constructs keeping a chokehold on their young relationship – nowadays, they could see each other as they please and do as they please in the bedroom. Though not as Elizabethan, the two, as high school students, would inevitably feel the pressure to validate their relationship with sexual intercourse, but there’s a chance that Shakespeare would keep sex out of the equation. The brilliant Bard would agree that sex doesn’t prove one’s love (instead, he may say mutual suicide does…oops). The role of sex in modern high school relationships, however, is debated – not necessarily formally, but subtly through social pressure among teenagers. Just as there is strong social pressure to consummate a relationship as proof of ‘having game’ or ‘really caring’, there is also much social pressure to abstain from sex entirely to preserve one’s ‘moral sanctity’. The fundamental solution here is one word long: privacy. Students should not fear the pressure to act a certain way sexually. Rather, it is important for couples to communicate with one another to discuss reasons, risks and benefits of sexual activity and confront social pressure with the utmost confidence, because even best friends should respect each others’ choices about their bodies, their relationships and the extent to which they reveal their intimate choices to peers. Many high school students condone and promote abstinence because of their religious beliefs, culture or upbringing, which is all well and good when applied to their own relationships. Other couples, however, may not subscribe to the same beliefs – thus, the shaming of sexually active high school couples is inappropriate. Sex, in my opinion, is acceptable between two consenting individuals who will act responsibly (no glove, no love!). That said, not all relationships are ready for the emotional and physical responsibility of sex, and not all couples are interested. And moreover, couples who are not sexually active are prone to pressure to be sexually active – another inappropriate invasion of privacy. According to the U.S. Department of Health and Human Services’ 2009 report, only 46 percent of high school students are sexually active – that’s less than half. Less than half of the high school population chooses to have sex, serving as evidence that it is not necessary. Certain couples are quick to rush to the bedroom in an attempt to validate and confirm love and attraction, but this can be done in other ways. A sweet note, a dinner date, or, in the style of Romeo and Juliet, a secret eloping, can just as easily do the trick. If couples avoid social pressure (from either direction) and concentrate on communication of desires and concerns, they will be infinitely happier than those who succumb to the occasional “you can’t get any, bro?” tease or comment about the purity of virginity. Essentially, do not allow others’ insecurities about the status of their own love lives infiltrate the privacy of yours.

12

“It’s your choice, you do what you’re comfortable with.”

Nina Oliva, senior

BY THE NUMBERS

40%

of students surveyed say they are sexually active

55%

of sexually active students are in a relationship

43%

of sexually active students say their parents are unaware that they are

*Out of 100 anonymous students surveyed


features

highlights April 2013

13

Going away to COLLEGE

WHAT YOU DIDN’T LEARN IN SCHOOL By Raquel Braun STAFF WRITER

Due to over protective parents waiting hand and foot on their children throughout their lives, many seniors remain unable to complete simple tasks like doing laundry and preparing a meal. While high school prepares students for the academic aspect of college, it fails to prepare us to carry out the chores necessary to sustain a college lifestyle. Cooking Without mom in the dorms preparing meals, it is easy to slip into bad eating habits. Knowing the basics of cooking can go a long way. Although ramen noodles every night may seem like a quick and easy meal, they may pave the road to the freshman fifteen, which is the imminent weight gain that freshmen in college tend to experience. Our advice: Stocking up on simple recipe books and always keeping up on grocery supplies will make for a more comfortable and healthy college experience. Try Annie’s brand organic easy mac, a box of Special K cereal, and a mini-fridge full of fruit. Cleaning and Laundry Sharing a dorm, especially guys, is bound to get extremely dirty. Everyone knows that they have to clean, but most of them don’t know how. These things may seem trivial but cleaning a toilet is a job that absolutely no one wants to do. Laundry is a completely different story. Most kids rely on their mother or cleaning lady to round up dirty clothes and load them in the washing machine. Moreover, wrinkly clothes can only be fixed with ironing, but most people have never touched an iron in their lives. Burning down the dorm isn’t exactly an efficient way to make a good impression. “There’s no class for laundry, so I don’t know how much detergent to use, or what colors to put with what... So that might be a problem,” said sophomore Elizabeth Barba. Our advice: Practice makes perfect. In college dorms, there are community washing machines that are not difficult to use once you know how. Stock up on quarters and measure out detergent at home so as not to flood your residence hall. Invest in a cheap iron and use your desk and a towel as a board.

College roommate blues By Yaremy Fuentes

meet new people and learn to live with another person and their habits. At the same time I think it could pose a Seniors, it is time to selectively pack up your big problem since I’m a huge neat freak. But I think its closet and drawers to move into a foreign dorm room part of being in college and I’m really looking forward to at a new school. To some, this occasion is the first step it,” said senior Milcia Usatorres. into adulthood because it finally means leaving the To pacify your restless mind, set some ground overbearing nest, which means having the newfound rules the second you meet your roommate, but avoid liberty to get home at any hour without having to coming off demanding or semi-neurotic We’re sure report in, or the other option of not even going back your roommate will appreciate the honesty because home. It might even mean not eating meals because they probably have some ground rules they want to set cereal now constitutes for breakfast, lunch, dinner and themselves, unless they lack basic communication skills. midnight study break snack. “She [roommate] was weird and couldn’t talk to For others, the process me in person so she would be of moving out is a time of awkward in the room watching ...I think it’s part of being in chewed up fingernails due to Netflix and she would leave college and I’m really looking anxiety and sleepless nights me Post Its telling me what she forward to it. wondering if moving out didn’t like or what bothered is really worth it. There are Milcia Usatorres, her,” said Nicole Sielsky, 2012 all these questions buzzing Gables alumna and current senior through a pre-college freshman at Florida State student’s mind: Why should University. I have to trade in my full sized bed for a twin sized Do not waste your time agonizing over the mattress so it can actually fit in the dorm room and possibility that your roommate might reenact Single not invade my roommate’s personal space? What if White Female or that they are going to steal all of your they get there before I do and take the side of the room things. Those scenarios are far-fetched and illegal, so I had originally claimed in the floor plans I created? please do not hesitate to call the police if they start These questions really can’t be answered until the first wearing all your clothes. day when they actually get to meet the person they A lot of people find their roommates to be their new will most likely be living with for the next four years. best friends especially if they take the same classes, have “I have no idea who I’m going to room with and the same study schedule and respect each other. To live a I think that’s a good thing because it’s a good way to happy college life, it’s all about compromise. FEATURES EDITOR

‘‘

Congrats! College acceptances from all over the U.S 1

Ana Alfonso, Occidental College

5

Victoria Cela, University of Florida

2

Ali Cina, University of California: Santa Barbara

6

Carlos Baez, New World School of the Arts

3

Saira Membreño, Savannah College of Art & Design

7

Andrea Jaime, Georgetown University

4

Angelo Pis-Dudot, Yale University

5

6

2

4

7

3 1

College Bound Other schools where our seniors were accepted:

UCLA, UF, FSU, Tulane, Duke, New College of Florida, University of Miami, Bowdoin, Colorado State, UNC Chapel Hill, University of Alabama, Indiana University, Rollins College, Loyola University Maryland, University of Tampa, Campbell, Cornell, Lynn University, Brown, Stanford, John Hopkins, University of Washington, Spelman College, Richmond University, Sewannee, PRATT


highlights April 2013

14

GLOBETROTTERS AT GABLES: Courtesy of Daniel Andrade

Students jet-set around the world

By Mia Tolpin & Jordan Payne

Courtesy of Caroline Bauwens

STAFF WRITERS

MEANWHILE IN AFRICA: (Top) While in Singapore, freshman Daniel Andrade captured shots of landmarks. (Bottom) On sophomore Caroline Bauwens’ trip to Africa with her mother, she had the opportunity to see wild animals in their natural habitats.

Miami Metropolitan International Fashion Week

will open at 7 pm at the same location and eveningwear will be showcased. At STAFF WRITER The time when a 8:30, strutting down the catwalk will be high school student fresh designs by Kirsten Regalado Gowns, can feel like a high fashion star by sitting Dancing Dolls UK, Yvette Elfawal, in on a glamourous fashion show, hoping to Anjoreen Couture, and Beautiful People take a quick picture with a famous blogger is Couture. This culturally diverse event is quickly approaching. The second annual Miami one you will not want to miss. Metropolitan International Fashion Week On the final day of MMIFW, the latest (MMIFW) will take place from April 25 though swimwear trends will be shown; ranging the 27. MMIFW is an event where established from bandeu tops to high waisted bikini designers will be able to expand their business bottoms. Models will be flaunting designs and where rising designers can become known. by Adoro Swimwear, Montce Swimwear, The three days of the event will be divided into Smooch Boutique, JoJo Beachwear, three different divisions: daywear, eveningwear, and a local Miami designer, Cuban Rice and swimwear. Designers from countries such by Christy Rice. This is a wonderful as Nigeria, the United States, and even the opportunity because us Miamians will get United Kingdom the sneak peak and will be showcased know what to wear Expect amazing collections... in the show. for the upcoming and a visual story about what “Expect bikini season. each of us represents as amazing collections Located in designers. from the designers exciting venues, and a visual story the second annual Susan Panter, about what each MMIFW show will fashion designer of us represents as be memorable for all designers. From my who attend. Ticket line, Evelli by Susan Panter. you can expect prices range from $30 to $175 and can be a variety of vibrant prints and architectural purchased online or at the door, however construction,” said fashion designer Susan space is limited. A portion of the proceeds Panter. will benefit the Boys and Girls Club of MMIFW will kick off with daywear on Miami-Dade. Unfortunately, people under April 25. Doors will open promptly at 7 pm the age of 16 will not be permitted to take followed by complimentary cocktails. The show part in this event. Street parking and valet will begin at 8:30 pm and patrons can fill out is available for those who need it. the seats surrounding the runway on both sides. Visit http://mmifw.com/ for tickets and Featuring stylish designs from Evelli by Susan additional information. Panter, A. Renee Fashion, Aragrami Fashion The two locations are the SET House, Nigerian Fashion Council, and Pista A. Nightclub Miami located on 320 Lincoln Jornada, MMIFW 2012 Daywear is guaranteed Rd  Miami Beach, FL 33139 and The Vault to be unforgettable. Lounge Miami located on 139 NE 1st St, Following daywear, on April 26 doors Miami, FL 33132.

By Rachel English

‘‘

Spotting a hippopotamus while floating down a river in Zimbabwe. Meditating with monks in Thailand. Overlooking the powder-white Alps in Switzerland while indulging in creamy chocolate. Feeling the mist fall over your body underneath the rushing waterfall in Paraguay. While some students dream about reaching these exotic destinations, others have been lucky enough to have already voyaged to the far corners of the world, even before graduating high school. One example of these students is freshman Daniel Andrade, who traveled to Kazakhstan as a layover before flying another 5,860 miles to Singapore. “It made me appreciate different cultures and societies that I wouldn’t have seen if I didn’t travel,” said Andrade. Traveling gives people the confidence to deal with a range of situations such as talking to starngers to get directions, or learning bits of a new language in order to order food. Experiencing different cultures allows students to widen their own life experiences for the future. Another great thing about traveling is the memories that will be made. Many of these memories can be captured on film and then transferred into a short film or a scrapbook. Jet-setter, freshman Emily Wu, visited her relatives in Taishan, China. However, she did not have the enjoyable experience one might expect. “I wouldn’t go back because of the lifestyle. Everything is different and really polluted. It even took me two weeks to get over the jet lag,” said Wu. On the other side of the world, vacationist extraordinaire and sophomore Caroline Bauwens has ventured to countless foreign countries such as South Africa, Brazil, and Russia. “My favorite trip ever was to South Africa because of the wilderness. I saw a lion caught in a tree, which was surrounded by buffalo. It was really amazing,” said Bauwens. Bauwens has been lucky enough to travel so much because her mother believes that it is important to learn the different cultures that the world has to offer. These students have been fortunate enough to travel to some parts of the world that seem uncommon to visit and have tried to get the most out of their experiences there.

One of South Florida’s largest immigration law firms, BernsteinOsberg-Braun, P.L., has a winning team of highly experienced attorneys who are former INS trial attorneys, former immigration prosecutors, and a former Immigration Judge. Their game plans provide practical and comprehensive solutions to the most pressing immigration and visa issues. Call us at (305) 895-0300 or on the web www.visaattorneys.com. Free consultations to Coral Gables Cavaliers. GO CAVS !


15 features If I were principal for a day... highlights April 2013

By Christina Parodi

“Weekly water balloon fights on the field would ease some of the stress that can build up,” said Zerdoun She would also build lockers for the convenience of the students. That way, students wouldn’t need to lug around backpacks with books that weigh as much as bricks When junior Javier Fernandez was asked what he would do as principal for the day, his eyes lit up as he began to explain his plot to not only implement dramatic changes in our school policy but how exactly he planned on getting the money to do so. Fernandez suggested that all of the golf carts used on campus by the security and administration should be sold to fund better lunches with more flavor and variety. He also believes that once the seniors are accepted into college, they should be allowed to leave early after lunch due to the lack of work provided towards the end of the year. “By the end of the year, seniors bring pillows and blankets to school because they literally have nothing left to do. When half of the senior class is already old enough to be considered an adult, they shouldn’t have to sit in day care like a child,” said Fernandez. Being principal for the day would be an awesome opportunity FUTURE LEADERS: Senior Sarah Zerdoun (left) and junior but without a graduate degree in educational administration, we Javier Fernandez are students who are ready to make don’t see that happening any time soon.. big changes if they were given the chance.

STAFF WRITER

Christina Parodi/highlights

When asking students what they would do if they were principal for a day, emotions ran wild as smiles curled up to their ears, hands flew erratically in the air, and voices became louder and more excited. Ideas that were once stuck in the heads of daydreaming students were breathed to life through animated narratives that had to have been thought about more than once due to their detail and intricacy. These are the unconventional thoughts of what some of our own students would do if they were principal for a day. Senior Sarah Zerdoun wants to do things “way differently” than they are currently done. Some of the changes she would make would be to include an all you can eat buffet every day for lunch that would include foods from all around the world and soft serve ice cream for dessert. This way students who do not eat lunch because they believe it looks unappetizing, or the options are too limited, can have an array of options. Zerdoun also wants to get rid of the uniform requirements so that every day could be a fashion show and students can express their uniqueness. One of her more original plans in her quest to make the school’s environment more enjoyable are water balloon fights.

Graduating early: Carolyn Guerra

Spotlight:

George Gino

By Eleonor Bauwens

Elenor Bauwens/highlights

Has it ever crossed your mind that you could leave high school a year early? That you could do three years of high school instead of four? Well, it is possible and for juniors like Carolyn Guerra, it is happening. When it came time to fill out her subject selection sheet a light bulb lit in her mind when she realized none of the electives offered interested her. She knew of people who had graduated early in previous years and thought it would be the right choice for her. “I feel like high school is not where I need to be, I feel ready to be challenged and have the opportunity to work on what I’m interested in,” said Guerra. To be able to graduate early, students must complete graduation requirements. The four for junior year requirements are English 3, Algebra 2, chemistry and American History, and the three senior year requirements are English 4, Math for College Readiness and Economics/Government, leaving time for one elective class. One of the downfalls of graduating early is that it makes it harder to SUNIOR: Junior Carolyn Guerra has been preparing all year to walk in graduation on May get accepted into a college because the full four years of high school were 31 with her fellow seniors and suniors. not completed. Miami-Dade College accepts juniors that graduated early and treats them just like any other college freshman. Guerra plans to attend Miami-Dade College to learn about business management. While at school, she will juggle classes and hopefully obtain a job in this profession. Those interested in graduating early should contact their counselor. The student’s parents must also be in the know, and the student must be willing to sacrifice most elective classes. In the long run, graduating early can be beneficial to those looking to get into the workforce immediately. We recommend contacting the colleges you are interested in attending prior to making the decision to become one of the few lucky “suniors” to get ahead of the game.

How to slack off responsibly By Andrea Biondi STAFF WRITER

Apart from fostering a few brilliant minds and a handful of dedicated students, high school tends to harbor lazy, apathetic teenagers who see no purpose in completing their assignments. This large group of inert teenagers can then be broken down into four other sub-groups: students who accept their apathy and idly await their failure notice, students who force themselves to work despite their apathy, students who procrastinate until the last minute to do their assignments and fail nonetheless and students who procrastinate until the last minute and succeed in earning an above average grade. This final group is by far the most interesting and whom others should learn from if they ever hope to, at the very least, receive a high school diploma while continuing to put off one’s work to the last minute. Procrastinating is in fact a well-respected form of art among teenagers that requires much more planning and skill than meets eye. Planning, ironically, is the key component to successfully procrastinating and drawing forth the maximum potential from that person inside of you that really wants to be successful. While highlights does not condone it, if you are going to procrastinate, do so responsibly. Make sure to ask yourself these questions: 1. Is this assignment due next class? 2. Can I afford to not do it all? 3. How much time will I need to complete this assignment? 4. Is the new episode of the show I watch on tonight? With all of these factors in mind, you may now continue wasting time until you reach the legendary point of no return, a safe haven for all procrastinators where the value of your assignment becomes clear and you either do extremely

well and receive undeserved compliments from your teacher or fail miserably. This when skill comes into play. It is the unfortunate truth that some people are simply born with more natural talent and intelligence than others. In order to successfully procrastinate, this sort of talent is required. Although some say pressure will help them do better, this is only true if the knowledge required to complete the assignment is readily available and understood by the student, in which case the pressure draws it out more easily. Not only that, but the time-restraint will often not permit for revisions or research, so the will to blatantly use little lies and still house intellectual thoughts in your work is necessary. Otherwise, miserable failure will be the only result of heavy-duty procrastination. If this is the case, then there are two paths that can be taken. You can either take the blue-pill and continue living in a fantasy where procrastination is a viable route to passing your class and eventually graduating, or you can take the red-pill and start scheduling your time properly. Scarlett Perez, expert procrastinator and level 80 senior, recently diagnosed with senioritis, vouches for all of the information provided. “I almost always do my homework the day before it’s due and there have been times when Bing Bang Theory really is more important,” said Perez. Although she admits that on some occasions, procrastinating was not worth the lack of sleep and strain, it has not failed her yet, and with the proper foresight, you can successfully push your work to the last day while still turning in an grade-A assignment on time.

Thalia Herrera/contributor

STAFF WRITER

THE COOL TEAHCER: In this cartoon, substitute George Gino tells the world his famous stories about his prosperous life.

By Eleonor Bauwens STAFF WRITER

A professional soccer player with a bachelor’s degree in English Literature who speaks multiple languages and can “travel anywhere in the world for twelve dollars” decided to be a substitute teacher, which seems a little farfetched and impossible if you ask me. Nonetheless, the infamous substitute George Gino tells his life story to anyone who will ask and never fails to entertain his students. He starts every class by reprimanding the students who failed to greet him with a “good morning or good afternoon” because his parents taught him manners and he believes that is a quality everyone should have. The class goes on and he can be heard sharing stories about his whole life. He claims to have ten children, 52 grandkids, and the ability to travel anywhere in the world for twelve dollars thanks to having worked with an airline company for over ten years. He will tell anyone who will listen about the fact that he has traveled to every country in the world except two. In addition, the multi-lingual and multi-cultural man claims to have played as a professional soccer player for multiple countries such as the Philippines in the 1950s, and the Olympics. Any question you ask him will be answered, whether they are about his professional life or his personal one. That is why many students know the elaborate tale of his seven girlfriends, “one for every day of the week”. Although his extravagant stories may seem too good to be true, his obvious generosity and skills as a substitute make up for it. Just last week he bought every single student in biology teacher Eric Molina’s first period a bagel when the students from student activities passed by selling them. “It was so incredibly nice of him and crazy, I never would have thought anyone would do that! He’s awesome!” said freshman Isabella Izquierdo. Disregarding the fact that he is open to telling strangers personal excerpts of his life in dealil, he refuses to share his first name with anyone that asks. And if you try to sneak a peak at his ID, all that’s there is a blank picture with the work “Substitute”.


highlights

MIAMI MUSEUMS

April 2013

16

Culture in the 3-0-5

A new museum of science with a rooftop fitness garden & a Teenagers Over the Years exhibit at a much-loved history museum are coming soon and will offer interesting activities to high school students.

Frost Museum of Science By Mia Tolpin STAFF WRITER

Since 1949, South Florida has had the lovely Miami Science Museum which offers laser light shows along with other special events. Amazing features of the museum include a spherical The Miami Science Museum is currently planetarium with external projections that can make the proceeding with its design for a new 250,000 square sphere look like the Earth or anything else they can imagine, foot science museum in Museum Park in Miami, a rooftop garden with fitness trail, a martini-glass shaped Florida that will be called The Patricia and Phillip aquarium where you will see hammerhead sharks swimming Frost Museum of Science. above your head, and more. The “I think it’ll be a fun new museum’s 500,000-gallon I think it’ll be a fun innovative innovative museum that’ll aquarium, the world’s first museum ... and maybe make learning more fun and gulf stream tank, will also stun interest a higher age group. maybe interest a higher age visitors. group,” said freshman Sophie “Miami is an international Sophie Feinberg, Feinberg destination and for the first time The much-awaited in the city’s history, there will be freshman museum should be opened a dedicated science museum at to the public in the year the heart of its downtown,” said 2015. Until then, construction workers have been Miami Science Museum president and CEO Gillian Thomas taking their time, and steadily progressing with the in a previous interview with Channel 10 News. construction process. After the sun sets, all the energy harnessed throughout The Patricia and Phillip Frost Museum of the day will be mirrored on the planetarium and building Science has been under construction for over a year structure, making a brilliantly luminous light show you will now in Biscayne Bay. not want to miss.

‘‘

Courtesy of www.miamisci.org

UNDER CONSTRUCTION: This picture taken from the Miami Museum of Science website shows the current state of the Patricia and Phillip Frost Museum of Science. As you can see, the new museum will be conveniently located near a Metro Mover station.

History Miami Museum hosts Teenagers Over the Years exhibit

Throughout the eras of large cities like Miami, generations of young people have helped to shape the community around them. Miami’s very own history museum, History Miami, has created an exhibit to commemorate the decades of teenagers in Miami. The museum, located in downtown Miami, has created a collection of pictures and objects belonging to teenagers from all time periods of Miami. The exhibit was created with the help of a select committee of current high school students from around Miami, who participated in a three-year internship with the museum, and highlights how young people changed due to the music they listened to, the trends they followed, and what was going on in the world around them. Teenagers in Miami have lived through the Vietnam War and World War II, and even worked to integrate their own schools in the 1960s. “I think it’s important for teens today to know what their life would be like if they lived back [in other decades],” said sophomore Natalia Lopez. The exhibit will be open until June 10, along with the rest of the museum’s permanent exhibits. Many pieces from the exhibit that are not currently on display can be seen online at historymiami.org, where Miami natives can even share experiences and memories they gathered from their own past. STAFF WRITER

Laura Acosta/highlights

By Laura Acosta

AROUND THE WORLD: The History Miami Museum in downtown Miami, located next to the main Miami-Dade Public Library and the Miami Art Museum, provides visitors with a look into visitors with a look into Miami’s complex history, from its Spanish roots to new architectural ideas.


sports TRUE TRAINING:

highlights April 2013

Lukas Georgatos/highlights

While other students relax over summer break, the Cav football teams will prepare for the 2013-2014 season

SUMMER: Head coach of the varsity football team, Roger Pollard (right) supervises the special teams during the previous summer training camp. These practices include many drills, including brief scrimmages, pictured left.

By Orso Raymo

HEAD OPINION WRITER

As the much needed summer break creeps eerily closer, most students are making plans in order to maximize their summer latency, but not the football team. After a short one week hiatus the whole football team gets thrown back into the grind. “Our goal is to get bigger, faster and stronger,” said varsity football head coach Roger Pollard. Over the course of the next seven weeks, both varsity and junior varsity will wake up early in the morning five days a week. They train extensively in the weight room year-round but Pollard said he is also emphasizing that his athletes do exercises concerned with "quick speed explosion", as well as core strengthening. However, there’s another level of training that no physical exercise can focus on: psychological. “I think the mental aspect of the training is just as important

as the physical; it trains our minds and our bodies, because both are extremely important to the game,” said junior Jose Melendez. After two summers of extensive training, Melendez claims he’s come to love the program. He claims that the early morning training does not interfere with his normal summer plans and he enjoys the exercise, despite its challenging nature. Pollard says he has noticed a similar relationship between the other players and his summer training. “For [the players], it is really a love-hate ordeal because there is a lot of ups and downs and the training really tests their dedication,” said Pollard. The entire off-season program is a testament to the legitimacy of the school’s football team. This emphasizes the dedication the players must have to not only the sport, but to their fellow teammates, as well.

Badminton stays dominant By Lukas Georgatos HEAD SPORTS WRITER

Repeating the success from last year, the school’s various varsity badminton teams managed to reclaim the first overall seed at the District Championships on April 17 at Coral Park Senior High. “I think that we have once again proven that we are the strongest team in our district, if our past record wasn’t enough,” said senior William Wu. The Cavalier’s first place mixed doubles title was defended by juniors Elizabeth Wurmser and George O’Dell. The men’s doubles division title was both defended and dominated with a first and a second place finish, by seniors Joseph Domeq and William Wu, and juniors Julian Falconi and Roy Howie, respectively. “We came in strong. Our mixed teams and doubles teams struggled, but pulled through, and overall, everyone put in their best effot,” said Domeq. Also with impressive second place rankings were seniors Kevin Lopez, for men’s singles, Maria Gutierrez, for women’s singles, and Juliana Diaz and Norma Ortiz, for women’s doubles. “We hope continue this district championship success in the upcoming GMAC (Greater Miami Athletic Conference) championships this Thursday and hopefully win, like we did last year,” said Lopez. With many seniors leaving the team roster at the end of this year, the team is hopeful that this year's success will continue into the next season.

Ex-athletes explain dropping sports By Francis Perez

learned to open up and communicate better,” said Spence. For senior Junior Rizo, academics were not the reason why he gave up being on the school’s football and track and field team. He felt that there was no discipline and that his teammates were not supportive. “They would bully me and say things like ‘you should quit’,” said Rizo. Nevertheless, he did enjoy his time on the wrestling team and chose to stay because he felt like he was in a family and they won many matches. Rizo also said that if he were still a junior, he would definitely want to continue on the team next year, but unfortunately that is not the case. Besides the negative factors, joining a sports team can be beneficial and is unquestionably worth it. Apart from actually playing the sport and getting some exercise to stay healthy, it makes you feel as if you are a part of a group, and you are not just a waste of space. Also, the student will have an advantage when applying to colleges, which will look to see if the prospective student has been a part of any extra-curricular activities, including sports.

STAFF WRITER

When students join a sports team, they are expected to be committed and, of course, play the sport well. However, factors like other extra-curricular activities, loss of interest in the sport, or maybe even lack of effort when practicing and playing can affect whether or not the student continues on the team. Sophomore Renay Spence, who “took a break” from playing girls’ basketball, felt that participating in the sport was interfering with her grades. Even though her coach and teammates tried to encourage her to keep playing and practicing to maintain and improve her skills, Spence used this school year to focus more on her school work and get her grade point average back to where she felt it needed to be. However, Spence plans to eventually re-join and participate on the girls’ basketball team to stay healthy and have something to do after school. She also claimed that playing the sport helped increase her self-esteem. “I was really shy and antisocial but after many practices I

Setback for girls water polo

CAVALIER STAT BOX

Boys Volleyball League Record 4 - 12

April 11 April 12 April 15 April 16

Rachel Ellis/highlights

team, the girls were all new players, but overall they made strides to improve and become better athletes,” said girls and boys varsity water polo head coach Alex Donis. The girls trained and dedicated much of their time to the sport in order to become stronger physically and mentally.

MARK THE DATE May

Varsity

vs 3-2L

@ CGHS

vs 3-0L

@ Ferguson

vs 3-1L

@ Ransom

vs 3 -0 L

Cavaliers

Ferguson Ransom

Coral Park

vs @ Miami Christian 3 - 0 W

Southwest Cavaliers Cavaliers Cavaliers

Baseball

STAFF WRITER

OVERLOOKING: Head coach Alex Donis pushes his varsity girls water polo team to surge for a comeback.

Cavaliers

@ CGHS

April 18 Miami Christian

By Rachel Ellis

On April 3, the girls water polo team suffered an unfortunate loss against Ransom Everglades. By the first quarter, Ransom had already scored ten points, making a comeback close to impossible. Although the game did result in disappointment, the girls fought to make a lasting effect on their opponents and team mates. “We’ve gotten a lot better as a team but there is always room for improvement,” said freshman Julia Benitan. Two goals were scored for the Cavaliers in total, the first by sophomore and Co-captain Betsy Marchial and the second by freshman Alex Holian. The girls claim that they could’ve pressed harder and helped out their center players, but it was clear that the Cavaliers were the underdogs before the game started. Ransom has held the state champion title for the past three years, making it a definite challenge for any team that comes across their waters. “It was a roller coaster season: a tragedy struck the

17

League Record 14 - 10 MAR 19

Cavaliers

@ CGHS

MAR 21 Miami Beach April 2 April 5

vs Miami 2-0W

Springs

@ Flamingo

vs Cavaliers 1- 14 W

@ Reagan

vs 7-9W

@ CGHS

vs 5-2L

Reagan

Hialeah

Cavaliers

Cavaliers

vs April 9 Florida Christian Miami Springs @ Florida Christian 7 - 12 W

April 10 South Dade @ South Dade

vs 7-4L

Cavaliers

to support our athletic teams and cheer them on! Varsity

Seniors

Everyone

y a D t Las of l o o h Sc

4/25 23 31 6/6 Badminton

GMAC Championship

Thurs. all day at Braddock Senior High School

Football

Jamboree Thurs. at 4:30 p.m. at Coral Gables Senior High

Graduation

Fri. at 9:00 a.m. at University of Miami BankUnited Center


sports

highlights April 2013

North American leagues decide world champions, somehow SPORTS EDITOR

I’ve never won a knitting championship and will never claim to hold that title, mostly because I’m honest (and partly because it would be embarrassing). However, North American professional sports leagues tend to forget that they’re North American sports leagues and insist on promoting their post-season tournaments as the “World Championship of Whatever”, yet fail to include representation from the other 202 countries (read: pretty much the entire world). This oversight might have been understandable back when Earth supposedly ended at the ocean, but even the former Miss South Carolina knows maps are more extensive and feature overseas nations including “Africa and The Iraq”. This begs the question: why do national, or continental, leagues present international titles? It seems like there may be some overstepping. Remember when the San Francisco Giants beat the Dominican Republic, the reigning World Baseball Classic (WBC) Champions, in the Major League Baseball (MLB) finals? No? Perhaps because the Dominicans weren’t there, or

any other country’s team for that matter. If the US or Canada continually swept the Olympics and the other actual global tournaments, I could see some legitimacy in crowning World Champions with only American- and Canadian-based teams competing. However, we don’t. The US has never won a WBC, only reaching the semifinals once, and Canada failed to accomplish anything impressive. Somehow though, we watch the Giants raising the Commissioner’s Trophy as “World Champions” in the World Series. Take a moment to reflect on that. This conceit engulfs three of our four major professional leagues, including MLB, the National Basketball Association (NBA), and the National Footbal League (NFL). The Nationa Hockey League is the only organization to show some restraint and decency, calling their victors the “Stanley Cup Champions”. Regarding basketball, the US Basketball World Cup gold medal count equals both that of Yugoslavia’s and the Soviet Union’s. Considering our inability to dominate countries that don’t exist anymore, why are some guys from Miami wearing World Championship rings? A well-informed supporter for the NBA’s holding of a World Championship could argue that our lead in the Olympic Basketball medal count is exceptional and overwhelming. However, our last two gold medals were clinched by less than 12 points each, (the year before receiving a disappointing

bronze), which is hardly enough superiority to compensate for the poor Basketball World Cup performance. I guess we can keep football (excuse me, American Football) since our record for real Football is shameful and no other country would be caught playing our dainty version of rugby. The problem probably stems from our natural arrogance: have you noticed that our nationality (American) claims two continents? Consider, instead, the humble Guatemalans. This Internet-deemed ‘Merican mentality has isolated us from the rest of humanity, to the point where life outside our little bubble is inconceivable. The average American is so detached from global events, we sometimes forget that we’re actually participating in a war. It’s almost as if we don’t recognize that there are other countries and that maybe, just maybe, we might not be number one in everything, as many studies, polls, research, and just history in general suggests. Simply put, top NFL, NBA, and MLB teams haven’t earned their supposed “World Champion” status; they haven’t competed against the world. This nation needs to calm down, dismount its high horse, and call these tournaments what they are: United States Championships or North American Championships, at absolute most, depending on the league’s franchise locations.

“ “

Commentary by Gene Liu

18

Societal taboo at forefront of sporting world After recently revealing her true identity as a transgender individual since 2006, Mixed Martial Arts (MMA) fighter Fallon Fox faces accusations that she has an unfair edge over the rest of the female-born fighters against whom she exclusively competes. Fox is the first MMA fighter to go public as transgender, but reaction to her announcement has been largely negative. Many in the MMA community have spoken out against her participating in the all-female division, saying she has a clear advantage compared to other fighters because she has the muscle structure and strength comparable to a male. These advantages may have been the cause of her astounding 39 second knockout against Ericka Newsome, they say. Fox argues that the operation and hormonal therapy have removed any reminisce of advantages males usually have

over females in contact sports, but male-specific anatomy, including generally faster skeletal muscles and muscle tissues with higher maximum power output, are not affected in a sexchange operation. The end result, her detractors say, is that Fox retains her naturally superior strength of a man. This is what I would call a clear advantage in a female fighting league. The league’s reigning champion Ronda Rousey said she would be hesitant to accept a fight against Fox because she also believes that Fox has an unfair advantage. I can't help but agree. I conclude that in bouts involving Fox, there is technically a man hitting a woman. The scornful judgment Fox has received from some of the MMA community has been unnecessary, but as far as athletics is concerned, a man-turned-woman logically has an edge over the other female athletes when strength is a key factor to victory. Although it may seem harsh, Fox should be prohibited from competing in this league because of the advantage that being a transgender gives her as well as her failure to inform the league that of her sexual identity.

Focused Workouts

Dietary supplements By Andrea Biondi STAFF WRITER

More often than not, it seems that students at the school who work out tend to drink name brand, unhealthy protein shakes such as Muscle Milk. The remainder of the weight lifting community is usually under the impression that protein shakes and supplements are all unhealthy. Only a minority has a balanced diet that includes healthy and beneficial protein supplements. In hopes of clarifying misconceptions about dietary supplements, I have provided this guide to help you avoid nutritional mishaps in the future. It should first be understood that protein supplements are what the name states: supplements. If you can provide your body with all the protein necessary via food, as opposed to taking supplements, while refraining from exceeding your calorie count, then do so. However, this is not possible for most people on a 3,000 calorie diet, let alone those on a 5,000 calorie diet. The amount of energy required is great, but athletes cannot afford to exceed their calorie counts or else enter the fat-gain territory of intake. In the case that you do require protein supplements, you must be very aware of what protein supplements you consume and what other substances this mix may contain. To avoid protein shakes that contain undesired chemicals or are high in fat or carbs, some quick browsing of the nutrition facts on the back of the container can solve this problem. The problem is that knowing what types of protein supplements to buy and when to consume them is not so simple.

The most important protein supplements, and those which I will focus on, are whey protein supplements and casein protein supplements. Before and after a workout is when your muscles will require the most protein so they can regenerate and be strengthened. For this otherwise natural body function to occur more efficiently, the body has to be able to digest the protein as quickly as possible so the designated muscles can use the protein to facilitate muscle growth. Yet most proteins found in food and common shakes just don’t cut it. For this reason, the consumption of whey protein is stressed among meat-heads since it is the protein fasted digested that can be easily purchased. It is important that this protein be ingested before and after a workout to receive maximum results. Just as important as whey protein is casein protein, which works in the exact opposite manner as whey protein. Casein protein is known for its slow digestion. For this reason, it must be consumed nightly right before you go to sleep since this is the time period during which the most muscle mass is lost. This muscle loss is due to the body’s consumption of muscle for energy during sleep, conserving your fat for its emergency reserves. Consumption of this slowly digesting protein allows the muscle to regenerate at the same rate that it is consumed. Both of these protein supplements can most definitely be found at your local vitamin shop and although they come at a relatively high cost, the results of properly dieting with them are worth it. Now, I only hope that this knowledge will be put to good use by you. Live long and prosper.

Disclaimer: Andrea speaks from experience. Doctor not consulted.

“ “

! SPEAK UP

I don’t think it’s an unfair advantage at all. If she had treatment to become a woman and fought after the treatment then she should be treated as a woman.

-Jacob Kirstein, senior

I think that’s sick. She physically harms other women knowing fully well that she has an unfair advantage.

-Anthony Martinez, senior

STUDENT SPOTLIGHT:

Student earns college soccer scholarship

I’m not nervous at all, but I am very excited and anxious for the soccer season to begin. It should be a really nice experience to play at the next level in college.

Lautaro Casula

Brewton-Parker College

Courtesy of Lautaro Casula

HEAD SPORTS WRITER

Commentary by Lukas Georgatos

Senior Lautaro Casula signs with Brewton Parker College in Mt. Vernon Georgia alongside his future Barons colleagues, accepting a spot at in the university, a spot on their soccer team, and a generous scholarship.


19 the scene Liquid enters the equation highlights

By Rachel English

If you ever find yourself in Pinecrest killing time or you feel like giving your taste buds a sciency treat, drive over to Chill-N Nitrogen Ice Cream. Chill-N Nitrogen Ice Cream has revolutionized the art of ice cream making. Instead of offering customers with the traditional pre-frozen ice cream with its predetermined additions such as chocolate chips or cookie dough, Chill-N’s employees freeze various flavors of cream using liquid Nitrogen and add in toppings right before your very eyes. Once customers arrive at Chill-N Nitrogen Ice Cream, your server gives you the choice of ordering either ice cream or yogurt. A regular container costs $4.55 and a large costs $4.95. Flavors of ice cream and yogurt include favorites such as Nutella or Biscotti and traditional flavors such as vanilla or mint. After selecting an ice cream or yogurt flavor patrons can choose from the various “Mix-N’s” which are displayed alongside the flavors of ice cream and yogurt. Mix-N options range from delicious brownie chunks to Kit Kats and even peanut butter. Each Mix-in costs 60 cents. STAFF WRITER

With 11 ice cream and yogurt flavors and 29 Mix-N flavors, creating your own nitrogen ice cream combos can become overwhelming. If this becomes a problem for you, check the “Equations of the Week” board which is dreamed by the employees of Chill-N, and offers flavors and Mix-N’s for customers to try, such as Bs+ Ctc, Biscotti ice cream with cookie crisp Mix-N’s. Customers can also look to the board for inspiration for your own original nitrogen ice cream concoction. After patrons choose their flavor and all the Mix-N’s they desire, the server will continue to put the cream into a churner. All of the ice cream churners have a tube connecting it to one of the tanks of liquid nitrogen. Once the liquid nitrogen is added to the cream, the churner starts mixing and the creamy creation starts smoking. After a couple minutes of mixing and when the smoke has gone down, the cream or yogurt has frozen. The server then adds all of the Mix-N’s to the ice cream. When your Mix-N’s are completely mixed in, the server presents the eager customer with the thickest, creamiest ice cream anyone has ever had. Patrons will be shocked with the delicious results of this science infused dessert.

Rachel English/highlights

April 2013

A TASTE OF THE FUTURE: With Chill-N Nitrogen Ice Cream’s 11 flavors and 29 signature Mix-N’s, a dull ice cream concoction is hard to come across.

Invader Joe 100 Montaditos: By Araceli Sanchez STAFF WRITER

Trader Joe’s 9205 S. Dixie Hwy Pincrest, FL 33156 Opening Date TBA

By Laura Acosta

A new option among the thousands of restaurants in Miami, 100 Montaditos has become a crowd favorite among Miamians. The nationwide chain features tapas-style sandwiches in distinctly Spanish varieties and affordable prices, making it a great option for high schoolers desperate for a bite after a long day of school. “100 Montaditos is the type of restaurant that’s always buzzing with life; a variety of people go and you always see different faces. The food itself isn’t a lot, but it’s the quality over the quantity,” said sophomore Andrea Avila. The chain first opened in 2000 in Spain, and has since spread to 250 restaurants across Europe and the Americas, with– as the name implies– 100 varieties of sandwiches to choose from, along with five different types of bread. The sandwich ingredients range from Spanish omelets to the everyday ham and cheese. 100 Montaditos also offers salads and vegetarian-friendly versions of their sandwiches for customers to enjoy, as well as hamburgers and hot dogs for those who want something other than sandwiches. To top off a meal, the menu features a select assortment of Ben & Jerry’s ice cream (not available in all stores) and several desert sandwiches– specially baked chocolate bread stuffed with chocolate spread, fruit, and nuts. 100 Montaditos offers a great number of promotions that let customers save money. One of their popular promotions, Wednesday’s Dollarmania, allows customers to get all sandwiches, fries, and soft drinks for one dollar. This deal has resulted in packed restaurants and long lines on Wednesday, so anyone looking to benefit from the savings should get there as early as possible. On STAFF WRITER

Sundays, the restaurant has a buy one, get one free deal for all platters. From Monday to Friday, combos start at $6 from 11 a.m. to 3 p.m. These deals are only available at participating stores, and while most around Miami are, make sure to confirm your nearby store has the specials available before looking forward to binge on sandwiches. The Spanish chain has become extremely popular among those looking for a quick, cheap meal in Miami that differs from traditional fast food, and has already opened five locations across Miami, one of them minutes away from the school on Miracle Mile. With an upcoming branch opening on Lincoln Road, the franchise will surely continue to expand within the area.

Maggie Rivers/highlights

Many food lovers are awaiting the grand opening of the much anticipated first Trader Joe’s specialty store in Miami. With its wood-decked walls and trademark Hawaiian shirts worn by the employees, the store is sure to be a popular gathering place for locals who are drawn to this unique philosophy on grocery shopping. Although the store has not yet decided on their opening date, the company will soon be adding their one of a kind flare to the Pinecrest community. Since opening in the 1950s in Pasadena, California, Trader Joe’s mission has been saving people money. To this day, the specialty store has remained true to their commitment to decreasing the cost of their items. They do so with a series of steps that all add up to keeping their costs low. These steps include buying directly from suppliers whenever possible, bargaining hard to get the best prices, buying in volume and contracting early, and just keeping their costs low because they believe that “every penny they save also saves the customer a penny.” Despite their low prices, Trader Joes is far from being another discount mega-food chain. The stores put their effort into supplying the public with innovative, organic, hard-to-find foods, while decreasing the amount of money they spend and drawing in a unique and eclectic group of people. They strive to serve the members of the local community with a low-cost option to other specialty food stores, thereby supporting their motto of being “the neighborhood grocery store.” The stores are also committed to stand up to the endless fight against starvation. They believe that supplying the less fortunate in the local community is part of their social obligation, and it remains one of their biggest priorities. They have sponsored many donation programs and in 2010 they donated 25 million pounds of food to starving people in need. For more than half a century, Trader Joe’s has been supplying the public with great-tasting and affordable foods and beverages, from baked goods and produce to drinks and frozen foods. They strive to appeal to the health-conscious shopper as well as those with more traditional tastes. Trade Joes even offers it’s own in house brand. Even though the date of the grand opening of the store has not been announced, the Pinecrest community is sure to be anxiously awaiting the arrival of the first of these unique stores.

Spanish sabor on a budget

VIVACIOUS VARIETY: The location on Miracle Mile is easily accessible by the Coral Gables trolley and features indoor and outdoor seating for customers trying any of the restaurant’s 100 varieties of sandwiches.


20 the scene Entertainment Guide: Miami highlights April 2013

By Laura Acosta STAFF WRITER

Commentary by Orso Raymo

Courtesty of The Fillmore & Beached Miami

STAFF WRITER

‘‘

Laura Acosta/highlights

HIP & HISTORIC: The Fillmore has been hosting a variety of artists and shows since the 1950s.

For 63 years the Jackie Gleason Theater, also known as The Fillmore, has stood proudly on the corner of Washington Avenue and 17th street, surviving every major cultural shift of the last half century; however, the life of this once seemingly immortal icon is being put on trial. In June two companies, South Beach ACE and Portman CMC, with the latter wishing to preserve and expand the Fillmore and the former simply demolish the structure, are going to decide its fate. If Portman CMC, is awarded the contract, they have plans to demolish the building and rebuild an entire new venue. Insultingly, the new theater is supposed to be smaller. The new faux Fillmore is then going to run Cirque De Soleil year round, just to upset everyone that cares I suspect. In contrast to the proposed garbage corporate playbill, The Fillmore, this year alone, has hosted artists ranging from Jane’s Addiction to 2 Chainz, and literally thousands of other extremely prominent musical figures since its inception in 1950. It simply cannot go. Aside from being a stunning and pristine example of the art deco style of years past, and a beloved South Beach icon, no similar venue exists in the entirety of South Florida. Because concerts aren’t a 365 day a year ordeal (which means no constant revenue), and because there’s no land left to develop on South Beach, no company is going to take on the financial burden of opening a Fillmore clone if the establishment dies. From a cultural, economic, and communal standpoint it makes no sense at all to tear down this piece of Miami. Harlem has the Apollo Theater, San Francisco The Castro Theater, its time Miami puts on its tight britches, complete with suspenders, and accepts its inner hipster. SAVE THE FILLMORE!

One of the few remaining icons of operation, the theater closed its doors Miami’s past, the Tower Theater still in 1984, leaving it as an empty shell stands tall with its antiquated marquee on a bustling street. and art deco needle towering over Calle The theater reopened in 2002 Ocho between the domino park and under the management of Miami sandwich shop windows selling café Dade College (MDC) in an effort and pastelitos. While the exterior of the to preserve the historic building. theater has remained true to its origins, Currently, films are still shown in both it now shows independent and foreign English and Spanish, or with Spanish films relevant to the modern era in its subtitles. These two viewing films are usually It’s a part of the community rooms. independent “It’s a and brings a lot of tourists to or foreign, part of the and often just one spot while bringing a community and include films lot of memories to families in brings a lot of internationally the area. tourists to just recognized for Jesitt Perez, one spot while excellence. bringing a lot sophomore Tickets cost of memories to $10 for general families in the admission, and area,” said sophomore Jesitt Perez. show times for the When first opened in 1926, the films are posted Tower Theater was completely stateonline on the of-the-art for its time, and was even theater’s website. regarded as one of the most high-end theaters in the southern United States. Then, during the flow of Cuban immigrants that began in the 60s, the theater found itself in the middle of an entirely new area: Little Havana. To please its new audience, the Theater started showing popular American films dubbed in Spanish, or with Spanish subtitles, which allowed many Hispanic immigrants to enjoy films they would have otherwise not understood. After almost 60 years of

By Maggie Rivers THE SCENE EDITOR

Bailey Kling/contributor

Local record store and music palace, Sweat Records, kicked off their eight year anniversary with the long-awaited Sweatstock music festival. The annual festival, which was held on April 20, also happened to be International Record Store day. Collaborating with Speedfreek Presents, Churchill’s, and Roofless Records, Sweat hosted a banging block party starring local music legends. Sweatstock began at noon at Sweat Records and its surrounding area. Musical performances started at two in the afternoon. Admission was free and open to all ages. Unfortunately, heavy intermittent rain plagued the event sending many of the early attendees away, but as the day progressed the rain settled for the most part and the bands continued to perform. This year, Sweat no longer had the funds for Sweatstock they have had for the past three years, which they had previously received

from a grant from the Knight Foundation in 2009. Instead, Sweat Records took to fundraising site Indiegogo to raise $5,000. To help pull the weight on some of the funding, local businesses like Car2Go, CrossFit305, and KINDsnacks, among many others, came together to support Sweatstock. As for the food, food trucks GastroPod, Ms. Cheezious, Veggie Xpress, and Roc Kat Ice Cream Co. all served up delicious sustenance for local music enthusiasts. On the Sweat Street Stage, a good variety of local artists performed. Artists Otto von Schirach, Beatmachines, and Jean Jacket provided attendees with some fresh dance beats while The Cost and The Astrokats showed up with their indie-rock performances. Komakozie was also there with both his harmonica and beat-making skills. At the Churchills stage, which was curated by Speedfreek, things were kept hardcore and metal with Awkward Kisser, Nunhex, Testökra and of course, the

local metal icons of Holly Hunt. The final stage at the event was Churchill’s Patio Stage. Curated by Roofless Records, the stage featured many non-local artists such as Sobak Mazouzoute, Penthotal, and Popol Glaunt who all hail from France and American artists Tuurd (NY), MC Trachiotomy RACHIOTOMY (LA), Cathy Cathodic (MA), and Whitey Alabastard (FL). Rat Bastard was kicking it at this stage, and the local legend whose International Noise Conference draws more musicians and attendees than Sweatstock did not disappoint. For Record Store Day, Sweat Records gave the first 200 customers goodie bags filled with vinyl, cds, stickers, and other cool gifts. Customers were also able to score other cool deals around the store. So even though the rain seemed to dampen the mood, there was no stopping Sweatstock 2013 from going strong.

Issue 7, Vol.53  

Issue 7, April 2013, Vol. 53; Final Issue 2012-2013

Read more
Read more
Similar to
Popular now
Just for you